#include "test1-client.h"

int flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort0);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_unsigned16(0, *_data, oskit_u16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort1);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_unsigned16(0, *_data, oskit_u16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort2);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->case_num, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->case_num, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort6);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_mu_encode_port32(0, _data->obj, 0);
  flick_fluke_encode_signed32(4, _data->value, oskit_s32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort7);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_mu_decode_port32(0, _data->obj, 1);
  flick_fluke_decode_signed32(4, _data->value, oskit_s32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void test1_test_void(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort9);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_test1_test_void, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort9);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort16);
            break;
            {
            _flick_abort16:
              goto _flick_abort9;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort17:
              goto _flick_abort9;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
  return;
  {
  _flick_abort9:
    flick_mom_client_error(fluke, fluke, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
}

oskit_s16_t test1_test_short(mom_ref_t _obj, oskit_s16_t a1, oskit_s16_t *a2, oskit_s16_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort19);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test1_test_short, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, a1, oskit_s16_t );
      flick_fluke_encode_signed16(6, *a3, oskit_s16_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(10);
      flick_fluke_check_span(4, _flick_abort19);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(6, _flick_abort25);
            flick_fluke_decode_new_chunk(6);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_signed16(2, *a2, oskit_s16_t );
            flick_fluke_decode_signed16(4, *a3, oskit_s16_t );
            flick_fluke_decode_end_chunk(6);
            flick_fluke_decode_end_glob(10);
            break;
            {
            _flick_abort25:
              goto _flick_abort19;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(10);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort26);
            break;
            {
            _flick_abort26:
              goto _flick_abort19;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort27);
            flick_fluke_decode_end_glob(10);
            break;
            {
            _flick_abort27:
              goto _flick_abort19;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
  return _return;
  {
  _flick_abort19:
    flick_mom_client_error(fluke, fluke, _flick_abort18);
  _flick_abort18:
    goto _flick_reaper;
  }
}

oskit_s32_t test1_test_long(mom_ref_t _obj, oskit_s32_t a1, oskit_s32_t *a2, oskit_s32_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort29);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_test1_test_long, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a1, oskit_s32_t );
      flick_fluke_encode_signed32(8, *a3, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort29);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort29);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort35);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_signed32(4, *a2, oskit_s32_t );
            flick_fluke_decode_signed32(8, *a3, oskit_s32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort35:
              goto _flick_abort29;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort36);
            break;
            {
            _flick_abort36:
              goto _flick_abort29;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort37);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort37:
              goto _flick_abort29;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort29);
  return _return;
  {
  _flick_abort29:
    flick_mom_client_error(fluke, fluke, _flick_abort28);
  _flick_abort28:
    goto _flick_reaper;
  }
}

test1_ushort test1_test_ushort(mom_ref_t _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test1_ushort _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort39);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test1_test_ushort, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned16(4, a1, oskit_u16_t );
      flick_fluke_encode_unsigned16(6, *a3, oskit_u16_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort39);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(10);
      flick_fluke_check_span(4, _flick_abort39);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(6, _flick_abort45);
            flick_fluke_decode_new_chunk(6);
            flick_fluke_decode_unsigned16(0, _return, oskit_u16_t );
            flick_fluke_decode_unsigned16(2, *a2, oskit_u16_t );
            flick_fluke_decode_unsigned16(4, *a3, oskit_u16_t );
            flick_fluke_decode_end_chunk(6);
            flick_fluke_decode_end_glob(10);
            break;
            {
            _flick_abort45:
              goto _flick_abort39;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(10);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort46);
            break;
            {
            _flick_abort46:
              goto _flick_abort39;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
            flick_fluke_decode_end_glob(10);
            break;
            {
            _flick_abort47:
              goto _flick_abort39;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort39);
  return _return;
  {
  _flick_abort39:
    flick_mom_client_error(fluke, fluke, _flick_abort38);
  _flick_abort38:
    goto _flick_reaper;
  }
}

test1_ulong test1_test_ulong(mom_ref_t _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test1_ulong _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort49);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_test1_test_ulong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, a1, oskit_u32_t );
      flick_fluke_encode_unsigned32(8, *a3, oskit_u32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort49);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort49);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort55);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_unsigned32(0, _return, oskit_u32_t );
            flick_fluke_decode_unsigned32(4, *a2, oskit_u32_t );
            flick_fluke_decode_unsigned32(8, *a3, oskit_u32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort55:
              goto _flick_abort49;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort56);
            break;
            {
            _flick_abort56:
              goto _flick_abort49;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort57:
              goto _flick_abort49;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
  return _return;
  {
  _flick_abort49:
    flick_mom_client_error(fluke, fluke, _flick_abort48);
  _flick_abort48:
    goto _flick_reaper;
  }
}

float test1_test_float(mom_ref_t _obj, float a1, float *a2, float *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort59);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_test1_test_float, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_float32(4, a1, float );
      flick_fluke_encode_float32(8, *a3, float );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort59);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort65);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float32(0, _return, float );
            flick_fluke_decode_float32(4, *a2, float );
            flick_fluke_decode_float32(8, *a3, float );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort65:
              goto _flick_abort59;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort66);
            break;
            {
            _flick_abort66:
              goto _flick_abort59;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort67:
              goto _flick_abort59;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort59);
  return _return;
  {
  _flick_abort59:
    flick_mom_client_error(fluke, fluke, _flick_abort58);
  _flick_abort58:
    goto _flick_reaper;
  }
}

double test1_test_double(mom_ref_t _obj, double a1, double *a2, double *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(24, _flick_abort69);
      flick_fluke_encode_new_chunk(24);
      flick_fluke_encode_unsigned32(0, req_test1_test_double, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_float64(8, a1, double );
      flick_fluke_encode_float64(16, *a3, double );
      flick_fluke_encode_end_chunk(24);
      flick_fluke_encode_end_glob(24);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(32);
      flick_fluke_check_span(4, _flick_abort69);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(28, _flick_abort75);
            flick_fluke_decode_new_chunk(28);
            flick_fluke_decode_float64(4, _return, double );
            flick_fluke_decode_float64(12, *a2, double );
            flick_fluke_decode_float64(20, *a3, double );
            flick_fluke_decode_end_chunk(28);
            flick_fluke_decode_end_glob(32);
            break;
            {
            _flick_abort75:
              goto _flick_abort69;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(32);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
            flick_fluke_decode_end_glob(32);
            break;
            {
            _flick_abort77:
              goto _flick_abort69;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort69);
  return _return;
  {
  _flick_abort69:
    flick_mom_client_error(fluke, fluke, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }
}

oskit_bool_t test1_test_boolean(mom_ref_t _obj, oskit_bool_t a1, oskit_bool_t *a2, oskit_bool_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort79);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, req_test1_test_boolean, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned8(4, a1, oskit_bool_t );
      flick_fluke_encode_unsigned8(5, *a3, oskit_bool_t );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort79);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(7);
      flick_fluke_check_span(4, _flick_abort79);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(3, _flick_abort85);
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_unsigned8(0, _return, oskit_bool_t );
            flick_fluke_decode_unsigned8(1, *a2, oskit_bool_t );
            flick_fluke_decode_unsigned8(2, *a3, oskit_bool_t );
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort85:
              goto _flick_abort79;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(7);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort86);
            break;
            {
            _flick_abort86:
              goto _flick_abort79;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort87:
              goto _flick_abort79;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort79);
  return _return;
  {
  _flick_abort79:
    flick_mom_client_error(fluke, fluke, _flick_abort78);
  _flick_abort78:
    goto _flick_reaper;
  }
}

char test1_test_char(mom_ref_t _obj, char a1, char *a2, char *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort89);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, req_test1_test_char, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_char8(4, a1, char );
      flick_fluke_encode_char8(5, *a3, char );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(7);
      flick_fluke_check_span(4, _flick_abort89);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(3, _flick_abort95);
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_char8(0, _return, char );
            flick_fluke_decode_char8(1, *a2, char );
            flick_fluke_decode_char8(2, *a3, char );
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort95:
              goto _flick_abort89;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(7);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort96);
            break;
            {
            _flick_abort96:
              goto _flick_abort89;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort97:
              goto _flick_abort89;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort89);
  return _return;
  {
  _flick_abort89:
    flick_mom_client_error(fluke, fluke, _flick_abort88);
  _flick_abort88:
    goto _flick_reaper;
  }
}

oskit_u8_t test1_test_octet(mom_ref_t _obj, oskit_u8_t a1, oskit_u8_t *a2, oskit_u8_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort99);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, req_test1_test_octet, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned8(4, a1, oskit_u8_t );
      flick_fluke_encode_unsigned8(5, *a3, oskit_u8_t );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort99);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(7);
      flick_fluke_check_span(4, _flick_abort99);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(3, _flick_abort105);
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_unsigned8(0, _return, oskit_u8_t );
            flick_fluke_decode_unsigned8(1, *a2, oskit_u8_t );
            flick_fluke_decode_unsigned8(2, *a3, oskit_u8_t );
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort105:
              goto _flick_abort99;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(7);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort106);
            break;
            {
            _flick_abort106:
              goto _flick_abort99;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort107:
              goto _flick_abort99;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort99);
  return _return;
  {
  _flick_abort99:
    flick_mom_client_error(fluke, fluke, _flick_abort98);
  _flick_abort98:
    goto _flick_reaper;
  }
}

char *test1_test_string(mom_ref_t _obj, const char *a1, char **a2, char **a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t2_temp_string_len;
      flick_unsigned32_t _t3_temp_string_len;

      flick_fluke_stringlen(const char *, a1, flick_unsigned32_t , _t2_temp_string_len);
      flick_fluke_stringlen(char *, *a3, flick_unsigned32_t , _t3_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort109);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test1_test_string, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t2_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t2_temp_string_len, _flick_abort109);
      flick_fluke_encode_new_chunk(1 * _t2_temp_string_len);
      flick_fluke_encode_bcopy(0, a1, 1 * _t2_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t2_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t2_temp_string_len);
      flick_fluke_encode_new_glob(7, _flick_abort109);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      flick_fluke_encode_new_glob(1 * _t3_temp_string_len, _flick_abort109);
      flick_fluke_encode_new_chunk(1 * _t3_temp_string_len);
      flick_fluke_encode_bcopy(0, *a3, 1 * _t3_temp_string_len);
      mom_flick_free(*a3);
      *a3 = 0;
      flick_fluke_encode_end_chunk(1 * _t3_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t3_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort109);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort109);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t7_temp_string_len;
            flick_unsigned32_t _t8_temp_string_len;
            flick_unsigned32_t _t9_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort132);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t7_temp_string_len);
            flick_fluke_check_span(1 * _t7_temp_string_len * 1, _flick_abort132);
            flick_fluke_decode_new_chunk(1 * _t7_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t7_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort132);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t7_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t7_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t7_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort135);
            flick_fluke_decode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t8_temp_string_len);
            flick_fluke_check_span(1 * _t8_temp_string_len * 1, _flick_abort135);
            flick_fluke_decode_new_chunk(1 * _t8_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t8_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
              *a2 = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *a2, 1 * _t8_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t8_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t8_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort138);
            flick_fluke_decode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t9_temp_string_len);
            flick_fluke_check_span(1 * _t9_temp_string_len * 1, _flick_abort138);
            flick_fluke_decode_new_chunk(1 * _t9_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t9_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort138);
              *a3 = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *a3, 1 * _t9_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t9_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t9_temp_string_len);
            break;
            {
            _flick_abort138:
              mom_flick_free(*a2);
            _flick_abort135:
              mom_flick_free(_return);
            _flick_abort132:
              goto _flick_abort109;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort142);
            break;
            {
            _flick_abort142:
              goto _flick_abort109;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort143:
              goto _flick_abort109;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort109);
  return _return;
  {
  _flick_abort109:
    flick_mom_client_error(fluke, fluke, _flick_abort108);
  _flick_abort108:
    goto _flick_reaper;
  }
}

mom_ref_t test1_test_Object(mom_ref_t _obj, const mom_ref_t a1, mom_ref_t *a2, mom_ref_t *a3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  memset(&_return, 0, sizeof(mom_ref_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort145);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_test1_test_Object, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_client_encode_port32(4, a1, 0);
      flick_fluke_client_encode_port32(8, *a3, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort145);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort145);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort151);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_client_decode_port32(0, _return, 1);
            flick_fluke_client_decode_port32(4, *a2, 1);
            flick_fluke_client_decode_port32(8, *a3, 1);
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort151:
              goto _flick_abort145;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort152);
            break;
            {
            _flick_abort152:
              goto _flick_abort145;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort153:
              goto _flick_abort145;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort145);
  return _return;
  {
  _flick_abort145:
    flick_mom_client_error(fluke, fluke, _flick_abort144);
  _flick_abort144:
    goto _flick_reaper;
  }
}

void test1_test_throw(mom_ref_t _obj, oskit_s32_t case_num, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort155);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test1_test_throw, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, case_num, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort155);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort155);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(12);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort171);
            break;
            {
            _flick_abort171:
              goto _flick_abort155;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_test1_x1:
                {
                  {
                    test1_x1 *_t_alloc_ptr;

                    _t_alloc_ptr = (test1_x1 *)(mom_flick_alloc(sizeof(test1_x1 )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort178);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num, oskit_s32_t );
                  flick_fluke_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort178:
                    goto _flick_abort172;
                  }
                }
              case exc_test1_x2:
                {
                  {
                    test1_x2 *_t_alloc_ptr;

                    _t_alloc_ptr = (test1_x2 *)(mom_flick_alloc(sizeof(test1_x2 )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort180);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(8, _flick_abort181);
                  flick_fluke_decode_new_chunk(8);
                  flick_fluke_client_decode_port32(0, ((test1_x2 *)(_ev->_except))->obj, 1);
                  flick_fluke_decode_signed32(4, ((test1_x2 *)(_ev->_except))->value, oskit_s32_t );
                  flick_fluke_decode_end_chunk(8);
                  break;
                  {
                  _flick_abort181:
                    mom_flick_free(_ev->_except);
                  _flick_abort180:
                    goto _flick_abort172;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort172);
                  break;
                }
              }
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort172:
              goto _flick_abort155;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort155);
  return;
  {
  _flick_abort155:
    flick_mom_client_error(fluke, fluke, _flick_abort154);
  _flick_abort154:
    goto _flick_reaper;
  }
}

void test1_please_exit(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort183);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_test1_please_exit, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort183);
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort183);
  return;
  {
  _flick_abort183:
    flick_mom_client_error(fluke, fluke, _flick_abort182);
  _flick_abort182:
    goto _flick_reaper;
  }
}

