#include "turtle-server-client.h"

oskit_s32_t Server_SetSize(mom_ref_t _obj, oskit_s32_t width, oskit_s32_t height, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort1);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_Server_SetSize, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, width, oskit_s32_t );
      flick_fluke_encode_signed32(8, height, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort7);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort8);
            break;
            {
            _flick_abort8:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mom_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
}

oskit_s32_t Server_AddWall(mom_ref_t _obj, oskit_s32_t startx, oskit_s32_t starty, oskit_s32_t endx, oskit_s32_t endy, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(20, _flick_abort11);
      flick_fluke_encode_new_chunk(20);
      flick_fluke_encode_unsigned32(0, req_Server_AddWall, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, startx, oskit_s32_t );
      flick_fluke_encode_signed32(8, starty, oskit_s32_t );
      flick_fluke_encode_signed32(12, endx, oskit_s32_t );
      flick_fluke_encode_signed32(16, endy, oskit_s32_t );
      flick_fluke_encode_end_chunk(20);
      flick_fluke_encode_end_glob(20);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort11);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort17);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort17:
              goto _flick_abort11;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort18);
            break;
            {
            _flick_abort18:
              goto _flick_abort11;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
  return _return;
  {
  _flick_abort11:
    flick_mom_client_error(fluke, fluke, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
}

oskit_s32_t Server_DelWall(mom_ref_t _obj, oskit_s32_t startx, oskit_s32_t starty, oskit_s32_t endx, oskit_s32_t endy, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(20, _flick_abort21);
      flick_fluke_encode_new_chunk(20);
      flick_fluke_encode_unsigned32(0, req_Server_DelWall, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, startx, oskit_s32_t );
      flick_fluke_encode_signed32(8, starty, oskit_s32_t );
      flick_fluke_encode_signed32(12, endx, oskit_s32_t );
      flick_fluke_encode_signed32(16, endy, oskit_s32_t );
      flick_fluke_encode_end_chunk(20);
      flick_fluke_encode_end_glob(20);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort21);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort27);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort28);
            break;
            {
            _flick_abort28:
              goto _flick_abort21;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
  return _return;
  {
  _flick_abort21:
    flick_mom_client_error(fluke, fluke, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
}

oskit_s32_t Server_AddRect(mom_ref_t _obj, oskit_s32_t left, oskit_s32_t top, oskit_s32_t right, oskit_s32_t bottom, oskit_s32_t color, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(24, _flick_abort31);
      flick_fluke_encode_new_chunk(24);
      flick_fluke_encode_unsigned32(0, req_Server_AddRect, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, left, oskit_s32_t );
      flick_fluke_encode_signed32(8, top, oskit_s32_t );
      flick_fluke_encode_signed32(12, right, oskit_s32_t );
      flick_fluke_encode_signed32(16, bottom, oskit_s32_t );
      flick_fluke_encode_signed32(20, color, oskit_s32_t );
      flick_fluke_encode_end_chunk(24);
      flick_fluke_encode_end_glob(24);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort31);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort37);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort37:
              goto _flick_abort31;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort38);
            break;
            {
            _flick_abort38:
              goto _flick_abort31;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort31);
  return _return;
  {
  _flick_abort31:
    flick_mom_client_error(fluke, fluke, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
}

oskit_s32_t Server_DelRect(mom_ref_t _obj, oskit_s32_t left, oskit_s32_t top, oskit_s32_t right, oskit_s32_t bottom, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(20, _flick_abort41);
      flick_fluke_encode_new_chunk(20);
      flick_fluke_encode_unsigned32(0, req_Server_DelRect, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, left, oskit_s32_t );
      flick_fluke_encode_signed32(8, top, oskit_s32_t );
      flick_fluke_encode_signed32(12, right, oskit_s32_t );
      flick_fluke_encode_signed32(16, bottom, oskit_s32_t );
      flick_fluke_encode_end_chunk(20);
      flick_fluke_encode_end_glob(20);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort41);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort47);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort48);
            break;
            {
            _flick_abort48:
              goto _flick_abort41;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
  return _return;
  {
  _flick_abort41:
    flick_mom_client_error(fluke, fluke, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
}

oskit_s32_t Server_SetTurtle(mom_ref_t _obj, oskit_s32_t x, oskit_s32_t y, oskit_s32_t angle, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(16, _flick_abort51);
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_unsigned32(0, req_Server_SetTurtle, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, x, oskit_s32_t );
      flick_fluke_encode_signed32(8, y, oskit_s32_t );
      flick_fluke_encode_signed32(12, angle, oskit_s32_t );
      flick_fluke_encode_end_chunk(16);
      flick_fluke_encode_end_glob(16);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort51);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort57);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort57:
              goto _flick_abort51;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort58);
            break;
            {
            _flick_abort58:
              goto _flick_abort51;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort51);
  return _return;
  {
  _flick_abort51:
    flick_mom_client_error(fluke, fluke, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
}

oskit_s32_t Server_GetTurtle(mom_ref_t _obj, oskit_s32_t *x, oskit_s32_t *y, oskit_s32_t *angle, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort61);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_Server_GetTurtle, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(20);
      flick_fluke_check_span(4, _flick_abort61);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(16, _flick_abort67);
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_signed32(4, *x, oskit_s32_t );
            flick_fluke_decode_signed32(8, *y, oskit_s32_t );
            flick_fluke_decode_signed32(12, *angle, oskit_s32_t );
            flick_fluke_decode_end_chunk(16);
            flick_fluke_decode_end_glob(20);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(20);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort68);
            break;
            {
            _flick_abort68:
              goto _flick_abort61;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            flick_fluke_decode_end_glob(20);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort61);
  return _return;
  {
  _flick_abort61:
    flick_mom_client_error(fluke, fluke, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
}

