#include "complex-1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort0);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->sex, char );
  flick_cdr_encode_float32(4, _data->age, float );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort1);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->sex, char );
  flick_cdr_decode_float32(4, _data->age, float );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sexnage_swap(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort2);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->sex, char );
  flick_cdr_swap_decode_float32(4, _data->age, float );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(char *, _data->name, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(78, _flick_abort3);
  flick_iiop_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 51)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_cdr_encode_bcopy(4, _data->name, 1 * _t0_temp_string_len);
  flick_iiop_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->zip, int );
  flick_cdr_encode_char8(4, _data->a, char );
  flick_cdr_encode_signed32(8, _data->ssn, int );
  flick_cdr_encode_char8(12, _data->sa.sex, char );
  flick_cdr_encode_float32(16, _data->sa.age, float );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(78);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(78);
  flick_iiop_check_span(4, _flick_abort6);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 51)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(1 * _t1_temp_string_len * 1, _flick_abort6);
  flick_iiop_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t1_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->name = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->name, 1 * _t1_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t1_temp_string_len);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_iiop_check_span(20, _flick_abort9);
  flick_cdr_decode_signed32(0, _data->zip, int );
  flick_cdr_decode_char8(4, _data->a, char );
  flick_cdr_decode_signed32(8, _data->ssn, int );
  flick_cdr_decode_char8(12, _data->sa.sex, char );
  flick_cdr_decode_float32(16, _data->sa.age, float );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(78);
  return 0;
  {
  _flick_abort9:
    sun_flick_free(_data->name);
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person_swap(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(78);
  flick_iiop_check_span(4, _flick_abort10);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 51)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(1 * _t2_temp_string_len * 1, _flick_abort10);
  flick_iiop_decode_new_chunk(1 * _t2_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t2_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->name = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->name, 1 * _t2_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t2_temp_string_len);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_iiop_check_span(20, _flick_abort13);
  flick_cdr_swap_decode_signed32(0, _data->zip, int );
  flick_cdr_swap_decode_char8(4, _data->a, char );
  flick_cdr_swap_decode_signed32(8, _data->ssn, int );
  flick_cdr_swap_decode_char8(12, _data->sa.sex, char );
  flick_cdr_swap_decode_float32(16, _data->sa.age, float );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(78);
  return 0;
  {
  _flick_abort13:
    sun_flick_free(_data->name);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort14);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->people_len, unsigned int );
  if (_data->people_len > 70000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort14);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t6_array_iter = 0; _t6_array_iter < _data->people_len; _t6_array_iter++)
    {
      flick_unsigned32_t _t8_temp_string_len;

      flick_cdr_stringlen(char *, _data->people_val[_t6_array_iter].name, flick_unsigned32_t , _t8_temp_string_len);

      flick_iiop_encode_new_glob(78, _flick_abort24);
      flick_iiop_encode_new_chunk(4 + 1 * _t8_temp_string_len);
      flick_cdr_encode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
      if (_t8_temp_string_len > 51)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort24);
      flick_cdr_encode_bcopy(4, _data->people_val[_t6_array_iter].name, 1 * _t8_temp_string_len);
      flick_iiop_encode_end_chunk(4 + 1 * _t8_temp_string_len);
      flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->people_val[_t6_array_iter].zip, int );
      flick_cdr_encode_char8(4, _data->people_val[_t6_array_iter].a, char );
      flick_cdr_encode_signed32(8, _data->people_val[_t6_array_iter].ssn, int );
      flick_cdr_encode_char8(12, _data->people_val[_t6_array_iter].sa.sex, char );
      flick_cdr_encode_float32(16, _data->people_val[_t6_array_iter].sa.age, float );
      flick_iiop_encode_end_chunk(20);
      flick_iiop_encode_end_glob(78);
      continue;
      {
      _flick_abort24:
        goto _flick_abort14;
      }
    }
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t12_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort30);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->people_len, unsigned int );
  if (_data->people_len > 70000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc(_data->people_len * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
    _data->people_val = _t_alloc_ptr;
  }
  flick_iiop_check_span(_data->people_len * 4, _flick_abort43);
  for (_t12_array_iter = 0; _t12_array_iter < _data->people_len; _t12_array_iter++)
    {
      flick_unsigned32_t _t14_temp_string_len;

      flick_iiop_decode_new_glob(78);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
      if (_t14_temp_string_len > 51)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort44);
      flick_iiop_decode_end_chunk(4);
      flick_iiop_check_span(1 * _t14_temp_string_len * 1, _flick_abort44);
      flick_iiop_decode_new_chunk(1 * _t14_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t14_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort44);
        _data->people_val[_t12_array_iter].name = _t_alloc_ptr;
      }
      flick_cdr_decode_bcopy(0, _data->people_val[_t12_array_iter].name, 1 * _t14_temp_string_len);
      flick_iiop_decode_end_chunk(1 * _t14_temp_string_len);
      flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
      flick_iiop_check_span(20, _flick_abort51);
      flick_cdr_decode_signed32(0, _data->people_val[_t12_array_iter].zip, int );
      flick_cdr_decode_char8(4, _data->people_val[_t12_array_iter].a, char );
      flick_cdr_decode_signed32(8, _data->people_val[_t12_array_iter].ssn, int );
      flick_cdr_decode_char8(12, _data->people_val[_t12_array_iter].sa.sex, char );
      flick_cdr_decode_float32(16, _data->people_val[_t12_array_iter].sa.age, float );
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(78);
      continue;
      {
      _flick_abort54:
        _t12_array_iter--;
      _flick_abort51:
        sun_flick_free(_data->people_val[_t12_array_iter].name);
      _flick_abort44:
        if ((unsigned int )_t12_array_iter < _data->people_len)
          goto _flick_abort54;
        goto _flick_abort43;
      }
    }
  return 0;
  {
  _flick_abort43:
    sun_flick_free(_data->people_val);
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people_swap(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t18_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort57);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->people_len, unsigned int );
  if (_data->people_len > 70000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort57);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc(_data->people_len * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
    _data->people_val = _t_alloc_ptr;
  }
  flick_iiop_check_span(_data->people_len * 4, _flick_abort70);
  for (_t18_array_iter = 0; _t18_array_iter < _data->people_len; _t18_array_iter++)
    {
      flick_unsigned32_t _t20_temp_string_len;

      flick_iiop_decode_new_glob(78);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
      if (_t20_temp_string_len > 51)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort71);
      flick_iiop_decode_end_chunk(4);
      flick_iiop_check_span(1 * _t20_temp_string_len * 1, _flick_abort71);
      flick_iiop_decode_new_chunk(1 * _t20_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t20_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
        _data->people_val[_t18_array_iter].name = _t_alloc_ptr;
      }
      flick_cdr_swap_decode_bcopy(0, _data->people_val[_t18_array_iter].name, 1 * _t20_temp_string_len);
      flick_iiop_decode_end_chunk(1 * _t20_temp_string_len);
      flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
      flick_iiop_check_span(20, _flick_abort78);
      flick_cdr_swap_decode_signed32(0, _data->people_val[_t18_array_iter].zip, int );
      flick_cdr_swap_decode_char8(4, _data->people_val[_t18_array_iter].a, char );
      flick_cdr_swap_decode_signed32(8, _data->people_val[_t18_array_iter].ssn, int );
      flick_cdr_swap_decode_char8(12, _data->people_val[_t18_array_iter].sa.sex, char );
      flick_cdr_swap_decode_float32(16, _data->people_val[_t18_array_iter].sa.age, float );
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(78);
      continue;
      {
      _flick_abort81:
        _t18_array_iter--;
      _flick_abort78:
        sun_flick_free(_data->people_val[_t18_array_iter].name);
      _flick_abort71:
        if ((unsigned int )_t18_array_iter < _data->people_len)
          goto _flick_abort81;
        goto _flick_abort70;
      }
    }
  return 0;
  {
  _flick_abort70:
    sun_flick_free(_data->people_val);
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t48_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort86);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t48_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t48_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t49_principal_len;
            double *_return;
            people *_local_arg;
            people _t50_storage;
            unsigned int _t54_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort165);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t49_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t49_principal_len);
            flick_iiop_check_span(_t49_principal_len * 1, _flick_abort165);
            flick_iiop_decode_new_chunk(_t49_principal_len);
            flick_iiop_decode_end_chunk(_t49_principal_len);
            flick_iiop_decode_end_glob(_t49_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t50_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort165);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            if (_local_arg->people_len > 70000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort165);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort165);
              _local_arg->people_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->people_len * 4, _flick_abort175);
            for (_t54_array_iter = 0; _t54_array_iter < _local_arg->people_len; _t54_array_iter++)
              {
                flick_unsigned32_t _t56_temp_string_len;

                flick_iiop_decode_new_glob(78);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t56_temp_string_len, flick_unsigned32_t );
                if (_t56_temp_string_len > 51)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort176);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_check_span(1 * _t56_temp_string_len * 1, _flick_abort176);
                flick_iiop_decode_new_chunk(1 * _t56_temp_string_len);
                flick_cdr_swap_decode_msgptr(0, _local_arg->people_val[_t54_array_iter].name, char *);
                flick_iiop_decode_end_chunk(1 * _t56_temp_string_len);
                flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                flick_iiop_check_span(20, _flick_abort176);
                flick_cdr_swap_decode_signed32(0, _local_arg->people_val[_t54_array_iter].zip, int );
                flick_cdr_swap_decode_char8(4, _local_arg->people_val[_t54_array_iter].a, char );
                flick_cdr_swap_decode_signed32(8, _local_arg->people_val[_t54_array_iter].ssn, int );
                flick_cdr_swap_decode_char8(12, _local_arg->people_val[_t54_array_iter].sa.sex, char );
                flick_cdr_swap_decode_float32(16, _local_arg->people_val[_t54_array_iter].sa.age, float );
                flick_iiop_decode_end_chunk(20);
                flick_iiop_decode_end_glob(78);
                continue;
                {
                _flick_abort176:
                  goto _flick_abort175;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort175);
              flick_iiop_encode_new_glob(16, _flick_abort175);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort187);
                    break;
                    {
                    _flick_abort187:
                      goto _flick_abort175;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort188);
                    flick_iiop_encode_end_glob(16);
                    break;
                    {
                    _flick_abort188:
                      goto _flick_abort175;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort175:
              auto_flick_free(_local_arg->people_val);
            _flick_abort165:
              goto _flick_abort164;
            }
          }
          break;
          {
          _flick_abort164:
            goto _flick_abort86;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort86);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t30_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort86);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t30_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t30_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            double *_return;
            people *_local_arg;
            people _t32_storage;
            unsigned int _t36_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort114);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_check_span(_t31_principal_len * 1, _flick_abort114);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t32_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort114);
            flick_cdr_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            if (_local_arg->people_len > 70000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort114);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort114);
              _local_arg->people_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_arg->people_len * 4, _flick_abort124);
            for (_t36_array_iter = 0; _t36_array_iter < _local_arg->people_len; _t36_array_iter++)
              {
                flick_unsigned32_t _t38_temp_string_len;

                flick_iiop_decode_new_glob(78);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                if (_t38_temp_string_len > 51)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort125);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_check_span(1 * _t38_temp_string_len * 1, _flick_abort125);
                flick_iiop_decode_new_chunk(1 * _t38_temp_string_len);
                flick_cdr_decode_msgptr(0, _local_arg->people_val[_t36_array_iter].name, char *);
                flick_iiop_decode_end_chunk(1 * _t38_temp_string_len);
                flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                flick_iiop_check_span(20, _flick_abort125);
                flick_cdr_decode_signed32(0, _local_arg->people_val[_t36_array_iter].zip, int );
                flick_cdr_decode_char8(4, _local_arg->people_val[_t36_array_iter].a, char );
                flick_cdr_decode_signed32(8, _local_arg->people_val[_t36_array_iter].ssn, int );
                flick_cdr_decode_char8(12, _local_arg->people_val[_t36_array_iter].sa.sex, char );
                flick_cdr_decode_float32(16, _local_arg->people_val[_t36_array_iter].sa.age, float );
                flick_iiop_decode_end_chunk(20);
                flick_iiop_decode_end_glob(78);
                continue;
                {
                _flick_abort125:
                  goto _flick_abort124;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort124);
              flick_iiop_encode_new_glob(16, _flick_abort124);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort136);
                    break;
                    {
                    _flick_abort136:
                      goto _flick_abort124;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort137);
                    flick_iiop_encode_end_glob(16);
                    break;
                    {
                    _flick_abort137:
                      goto _flick_abort124;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort124:
              auto_flick_free(_local_arg->people_val);
            _flick_abort114:
              goto _flick_abort113;
            }
          }
          break;
          {
          _flick_abort113:
            goto _flick_abort86;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort86);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort86:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort85);
  _flick_abort85:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

