#include "mig-simple-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t foo_time(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t15_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t15_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t15_switch_tag)
      {
      case (signed int) 400:
        {
          {
            mach_port_t _local_server_port;
            unsigned int _t16_principal_len;
            kern_return_t _return;
            int _local_format;
            int *_local_time;
            int _t17_storage;

            flick_iiop_server_decode_target(_local_server_port, 0, cdr_swap, _flick_abort48);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t16_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t16_principal_len);
            flick_iiop_check_span(_t16_principal_len * 1, _flick_abort48);
            flick_iiop_decode_new_chunk(_t16_principal_len);
            flick_iiop_decode_end_chunk(_t16_principal_len);
            flick_iiop_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort48);
            flick_cdr_swap_decode_signed32(0, _local_format, int );
            _local_time = (int *)(&_t17_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = get_time(_local_server_port, _local_format, _local_time);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr, _flick_abort48);
              flick_iiop_encode_new_glob(8, _flick_abort48);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_time, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort53);
                    break;
                    {
                    _flick_abort53:
                      goto _flick_abort48;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort48:
              goto _flick_abort47;
            }
          }
          break;
          {
          _flick_abort47:
            goto _flick_abort2;
          }
        }
      case (signed int) 401:
        {
          {
            mach_port_t _local_server_port;
            unsigned int _t18_principal_len;
            kern_return_t _return;
            foo_int _local_format;
            foo_int *_local_time;
            foo_int _t19_storage;

            flick_iiop_server_decode_target(_local_server_port, 0, cdr_swap, _flick_abort55);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t18_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t18_principal_len);
            flick_iiop_check_span(_t18_principal_len * 1, _flick_abort55);
            flick_iiop_decode_new_chunk(_t18_principal_len);
            flick_iiop_decode_end_chunk(_t18_principal_len);
            flick_iiop_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort55);
            flick_cdr_swap_decode_signed32(0, _local_format, foo_int );
            _local_time = (foo_int *)(&_t19_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo_time(_local_server_port, _local_format, _local_time);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr, _flick_abort55);
              flick_iiop_encode_new_glob(8, _flick_abort55);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_time, foo_int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort60);
                    break;
                    {
                    _flick_abort60:
                      goto _flick_abort55;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort55:
              goto _flick_abort54;
            }
          }
          break;
          {
          _flick_abort54:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t5_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 400:
        {
          {
            mach_port_t _local_server_port;
            unsigned int _t6_principal_len;
            kern_return_t _return;
            int _local_format;
            int *_local_time;
            int _t7_storage;

            flick_iiop_server_decode_target(_local_server_port, 0, cdr, _flick_abort19);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t6_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t6_principal_len);
            flick_iiop_check_span(_t6_principal_len * 1, _flick_abort19);
            flick_iiop_decode_new_chunk(_t6_principal_len);
            flick_iiop_decode_end_chunk(_t6_principal_len);
            flick_iiop_decode_end_glob(_t6_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort19);
            flick_cdr_decode_signed32(0, _local_format, int );
            _local_time = (int *)(&_t7_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = get_time(_local_server_port, _local_format, _local_time);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr, _flick_abort19);
              flick_iiop_encode_new_glob(8, _flick_abort19);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_time, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort24);
                    break;
                    {
                    _flick_abort24:
                      goto _flick_abort19;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort19:
              goto _flick_abort18;
            }
          }
          break;
          {
          _flick_abort18:
            goto _flick_abort2;
          }
        }
      case (signed int) 401:
        {
          {
            mach_port_t _local_server_port;
            unsigned int _t8_principal_len;
            kern_return_t _return;
            foo_int _local_format;
            foo_int *_local_time;
            foo_int _t9_storage;

            flick_iiop_server_decode_target(_local_server_port, 0, cdr, _flick_abort26);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t8_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t8_principal_len);
            flick_iiop_check_span(_t8_principal_len * 1, _flick_abort26);
            flick_iiop_decode_new_chunk(_t8_principal_len);
            flick_iiop_decode_end_chunk(_t8_principal_len);
            flick_iiop_decode_end_glob(_t8_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort26);
            flick_cdr_decode_signed32(0, _local_format, foo_int );
            _local_time = (foo_int *)(&_t9_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo_time(_local_server_port, _local_format, _local_time);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr, _flick_abort26);
              flick_iiop_encode_new_glob(8, _flick_abort26);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_time, foo_int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort31);
                    break;
                    {
                    _flick_abort31:
                      goto _flick_abort26;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort26:
              goto _flick_abort25;
            }
          }
          break;
          {
          _flick_abort25:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

