#include "mig-tests-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t s_inline_fixed_structs(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t282_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(4, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t282_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t282_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            unsigned int _t283_principal_len;
            kern_return_t _return;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint _t284_storage;
            Iint *_local_outInt;
            Iint _t285_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort837);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort837);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t283_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t283_principal_len);
            flick_iiop_check_span(_t283_principal_len * 1, _flick_abort837);
            flick_iiop_decode_new_chunk(_t283_principal_len);
            flick_iiop_decode_end_chunk(_t283_principal_len);
            flick_iiop_decode_end_glob(_t283_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort837);
            flick_cdr_swap_decode_signed32(0, _local_inInt, Iint );
            _local_inoutInt = (Iint *)(&_t284_storage);
            flick_cdr_swap_decode_signed32(4, *_local_inoutInt, Iint );
            _local_outInt = (Iint *)(&_t285_storage);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort837);
              flick_iiop_encode_new_glob(12, _flick_abort837);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, *_local_inoutInt, Iint );
                    flick_cdr_encode_signed32(4, *_local_outInt, Iint );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort842);
                    break;
                    {
                    _flick_abort842:
                      goto _flick_abort837;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort837:
              goto _flick_abort836;
            }
          }
          break;
          {
          _flick_abort836:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t286_principal_len;
            kern_return_t _return;
            IFstruct _local_inStruct;
            unsigned *_t287_internal;
            flick_unsigned32_t _t288_array_iter;
            IFstruct *_local_inoutStruct;
            IFstruct _t289_storage;
            unsigned *_t290_internal;
            flick_unsigned32_t _t291_array_iter;
            IFstruct *_local_outStruct;
            IFstruct _t292_storage;
            unsigned *_t293_internal;

            _t287_internal = (unsigned *)(&(_local_inStruct));
            _t290_internal = (unsigned *)(&(*_local_inoutStruct));
            _t293_internal = (unsigned *)(&(*_local_outStruct));

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort844);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(100 * 4 + (100 * 4 + 4), _flick_abort844);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t286_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t286_principal_len);
            flick_iiop_check_span(_t286_principal_len * 1, _flick_abort844);
            flick_iiop_decode_new_chunk(_t286_principal_len);
            flick_iiop_decode_end_chunk(_t286_principal_len);
            flick_iiop_decode_end_glob(_t286_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1100);
            for (_t288_array_iter = 0; _t288_array_iter < 100; _t288_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort848);
                flick_cdr_swap_decode_signed32(0, _t287_internal[_t288_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort848:
                  goto _flick_abort844;
                }
              }
            _local_inoutStruct = (IFstruct *)(&_t289_storage);
            for (_t291_array_iter = 0; _t291_array_iter < 100; _t291_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t290_internal[_t291_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outStruct = (IFstruct *)(&_t292_storage);
            flick_iiop_decode_end_glob(1100);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort844);
              flick_iiop_encode_new_glob(804, _flick_abort844);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    unsigned *_t297_internal;
                    unsigned *_t298_internal;
                    unsigned *_t299_internal;

                    _t297_internal = (unsigned *)(&(_local_inStruct));
                    _t298_internal = (unsigned *)(&(*_local_inoutStruct));
                    _t299_internal = (unsigned *)(&(*_local_outStruct));

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(800);
                    flick_cdr_encode_bcopy(0, _t298_internal, 400);
                    flick_cdr_encode_bcopy(400, _t299_internal, 400);
                    flick_iiop_encode_end_chunk(800);
                    flick_iiop_encode_end_glob(804);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(804);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort870);
                    break;
                    {
                    _flick_abort870:
                      goto _flick_abort844;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort844:
              goto _flick_abort843;
            }
          }
          break;
          {
          _flick_abort843:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t300_principal_len;
            kern_return_t _return;
            unsigned *_local_inArray;
            unsigned _t301_storage[300];
            flick_unsigned32_t _t302_array_iter;
            unsigned *_local_inoutArray;
            unsigned _t303_storage[300];
            flick_unsigned32_t _t304_array_iter;
            unsigned *_local_outArray;
            unsigned _t305_storage[300];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort872);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(300 * 4 + (300 * 4 + 4), _flick_abort872);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t300_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t300_principal_len);
            flick_iiop_check_span(_t300_principal_len * 1, _flick_abort872);
            flick_iiop_decode_new_chunk(_t300_principal_len);
            flick_iiop_decode_end_chunk(_t300_principal_len);
            flick_iiop_decode_end_glob(_t300_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3300);
            _local_inArray = (unsigned *)_t301_storage;
            for (_t302_array_iter = 0; _t302_array_iter < 300; _t302_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort876);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t302_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort876:
                  goto _flick_abort872;
                }
              }
            _local_inoutArray = (unsigned *)_t303_storage;
            for (_t304_array_iter = 0; _t304_array_iter < 300; _t304_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inoutArray[_t304_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outArray = (unsigned *)_t305_storage;
            flick_iiop_decode_end_glob(3300);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort872);
              flick_iiop_encode_new_glob(2404, _flick_abort872);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2400);
                    flick_cdr_encode_bcopy(0, _local_inoutArray, 1200);
                    flick_cdr_encode_bcopy(1200, _local_outArray, 1200);
                    flick_iiop_encode_end_chunk(2400);
                    flick_iiop_encode_end_glob(2404);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2404);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort898);
                    break;
                    {
                    _flick_abort898:
                      goto _flick_abort872;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort872:
              goto _flick_abort871;
            }
          }
          break;
          {
          _flick_abort871:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t306_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_inArray;
            unsigned _t307_storage[500];
            mach_msg_type_number_t _t308_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t309_storage;
            unsigned *_local_outArray;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort900);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort900);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t306_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t306_principal_len);
            flick_iiop_check_span(_t306_principal_len * 1, _flick_abort900);
            flick_iiop_decode_new_chunk(_t306_principal_len);
            flick_iiop_decode_end_chunk(_t306_principal_len);
            flick_iiop_decode_end_glob(_t306_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2007);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort900);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            if (_local_inArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort900);
            flick_iiop_decode_end_chunk(4);
            _local_inArray = (unsigned *)_t307_storage;
            flick_iiop_check_span(_local_inArrayCnt * 4, _flick_abort900);
            for (_t308_array_iter = 0; _t308_array_iter < _local_inArrayCnt; _t308_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t308_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t309_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = 0;
            flick_iiop_decode_end_glob(2007);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort900);
              flick_iiop_encode_new_glob(2008, _flick_abort900);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    if (*_local_outArrayCnt > 500)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort912);
                    flick_cdr_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(2008);
                    break;
                    {
                    _flick_abort912:
                      goto _flick_abort900;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2008);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort916);
                    break;
                    {
                    _flick_abort916:
                      goto _flick_abort900;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort900:
              goto _flick_abort899;
            }
          }
          break;
          {
          _flick_abort899:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t310_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            mach_msg_type_number_t _t311_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t312_storage;
            Iarray *_local_outArray;
            Iarray _t313_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort918);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort918);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t310_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t310_principal_len);
            flick_iiop_check_span(_t310_principal_len * 1, _flick_abort918);
            flick_iiop_decode_new_chunk(_t310_principal_len);
            flick_iiop_decode_end_chunk(_t310_principal_len);
            flick_iiop_decode_end_glob(_t310_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort918);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort918);
              _local_inArray = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inArrayCnt * 4, _flick_abort918);
            for (_t311_array_iter = 0; _t311_array_iter < _local_inArrayCnt; _t311_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t311_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t312_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t313_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort918);
              flick_iiop_encode_new_glob(8, _flick_abort918);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort930);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort930:
                      goto _flick_abort918;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort934);
                    break;
                    {
                    _flick_abort934:
                      goto _flick_abort918;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort918:
              goto _flick_abort917;
            }
          }
          break;
          {
          _flick_abort917:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t314_principal_len;
            kern_return_t _return;
            char *_local_inString;
            char *_local_inoutString;
            char _t315_storage[799];
            char *_local_outString;
            char _t316_storage[799];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort936);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(1604, _flick_abort936);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t314_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t314_principal_len);
            flick_iiop_check_span(1604 - 1604 + 1600 + _t314_principal_len * 1, _flick_abort936);
            flick_iiop_decode_new_chunk(_t314_principal_len);
            flick_iiop_decode_end_chunk(_t314_principal_len);
            flick_iiop_decode_end_glob(_t314_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1600);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_swap_decode_msgptr(0, _local_inString, char *);
            _local_inoutString = (char *)_t315_storage;
            flick_cdr_swap_decode_bcopy(800, _local_inoutString, 799);
            _local_outString = (char *)_t316_storage;
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1600);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort936);
              flick_iiop_encode_new_glob(1604, _flick_abort936);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1600);
                    flick_cdr_encode_bcopy(0, _local_inoutString, 799);
                    flick_cdr_encode_bcopy(800, _local_outString, 799);
                    flick_iiop_encode_end_chunk(1600);
                    flick_iiop_encode_end_glob(1604);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1604);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort956);
                    break;
                    {
                    _flick_abort956:
                      goto _flick_abort936;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort936:
              goto _flick_abort935;
            }
          }
          break;
          {
          _flick_abort935:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t317_principal_len;
            kern_return_t _return;
            char *_local_inString;
            flick_unsigned32_t _t318_temp_string_len;
            char *_local_outString;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort958);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort958);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t317_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t317_principal_len);
            flick_iiop_check_span(_t317_principal_len * 1, _flick_abort958);
            flick_iiop_decode_new_chunk(_t317_principal_len);
            flick_iiop_decode_end_chunk(_t317_principal_len);
            flick_iiop_decode_end_glob(_t317_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(5005);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort958);
            flick_cdr_swap_decode_unsigned32(0, _t318_temp_string_len, flick_unsigned32_t );
            if (_t318_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort958);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(1 * _t318_temp_string_len * 1, _flick_abort958);
            flick_iiop_decode_new_chunk(1 * _t318_temp_string_len);
            flick_cdr_swap_decode_msgptr(0, _local_inString, char *);
            flick_iiop_decode_end_chunk(1 * _t318_temp_string_len);
            _local_outString = 0;
            flick_iiop_decode_end_glob(5005);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort958);
              flick_iiop_encode_new_glob(5006, _flick_abort958);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    flick_unsigned32_t _t321_temp_string_len;
                    flick_unsigned32_t _t322_temp_string_len;

                    flick_cdr_stringlen(char *, _local_inString, flick_unsigned32_t , _t321_temp_string_len);
                    flick_cdr_stringlen(char *, _local_outString, flick_unsigned32_t , _t322_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 1 * _t322_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t322_temp_string_len, flick_unsigned32_t );
                    if (_t322_temp_string_len > 4997)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort967);
                    flick_cdr_encode_bcopy(4, _local_outString, 1 * _t322_temp_string_len);
                    flick_iiop_encode_end_chunk(4 + 1 * _t322_temp_string_len);
                    flick_iiop_encode_end_glob(5006);
                    break;
                    {
                    _flick_abort967:
                      goto _flick_abort958;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5006);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort971);
                    break;
                    {
                    _flick_abort971:
                      goto _flick_abort958;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort958:
              goto _flick_abort957;
            }
          }
          break;
          {
          _flick_abort957:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t323_principal_len;
            kern_return_t _return;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t _t324_storage;
            mach_port_t *_local_outRight;
            mach_port_t _t325_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort973);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort973);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t323_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t323_principal_len);
            flick_iiop_check_span(_t323_principal_len * 1, _flick_abort973);
            flick_iiop_decode_new_chunk(_t323_principal_len);
            flick_iiop_decode_end_chunk(_t323_principal_len);
            flick_iiop_decode_end_glob(_t323_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = (mach_port_t *)(&_t324_storage);
            flick_cdr_swap_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = (mach_port_t *)(&_t325_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort973);
              flick_iiop_encode_new_glob(4, _flick_abort973);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0, _flick_abort977);
                    flick_cdr_encode_IOR(iiop, *_local_outRight, 1, _flick_abort977);
                    flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                    break;
                    {
                    _flick_abort977:
                      goto _flick_abort973;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort978);
                    break;
                    {
                    _flick_abort978:
                      goto _flick_abort973;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort973:
              goto _flick_abort972;
            }
          }
          break;
          {
          _flick_abort972:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t326_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _t327_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t328_storage;
            Imach_port_array_t *_local_outRight;
            Imach_port_array_t _t329_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort980);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort980);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t326_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t326_principal_len);
            flick_iiop_check_span(_t326_principal_len * 1, _flick_abort980);
            flick_iiop_decode_new_chunk(_t326_principal_len);
            flick_iiop_decode_end_chunk(_t326_principal_len);
            flick_iiop_decode_end_glob(_t326_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort980);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort980);
              _local_inRight = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inRightCnt * 0, _flick_abort980);
            for (_t327_array_iter = 0; _t327_array_iter < _local_inRightCnt; _t327_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t327_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t327_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t328_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_port_array_t *)(&_t329_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort980);
              flick_iiop_encode_new_glob(8, _flick_abort980);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t331_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t331_array_iter = 0; _t331_array_iter < *_local_outRightCnt; _t331_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t331_array_iter], 1, _flick_abort1000);
                        flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t331_array_iter], 1);
                        continue;
                        {
                        _flick_abort1000:
                          goto _flick_abort995;
                        }
                      }
                    break;
                    {
                    _flick_abort995:
                      goto _flick_abort980;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1002);
                    break;
                    {
                    _flick_abort1002:
                      goto _flick_abort980;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort980:
              goto _flick_abort979;
            }
          }
          break;
          {
          _flick_abort979:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t332_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _t333_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t334_storage;
            Imach_poly_array_t *_local_outRight;
            Imach_poly_array_t _t335_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1004);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1004);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t332_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t332_principal_len);
            flick_iiop_check_span(_t332_principal_len * 1, _flick_abort1004);
            flick_iiop_decode_new_chunk(_t332_principal_len);
            flick_iiop_decode_end_chunk(_t332_principal_len);
            flick_iiop_decode_end_glob(_t332_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1004);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1004);
              _local_inRight = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inRightCnt * 0, _flick_abort1004);
            for (_t333_array_iter = 0; _t333_array_iter < _local_inRightCnt; _t333_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t333_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t333_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t334_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_poly_array_t *)(&_t335_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1004);
              flick_iiop_encode_new_glob(8, _flick_abort1004);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t337_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t337_array_iter = 0; _t337_array_iter < *_local_outRightCnt; _t337_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t337_array_iter], 0, _flick_abort1024);
                        continue;
                        {
                        _flick_abort1024:
                          goto _flick_abort1019;
                        }
                      }
                    break;
                    {
                    _flick_abort1019:
                      goto _flick_abort1004;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1026);
                    break;
                    {
                    _flick_abort1026:
                      goto _flick_abort1004;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1004:
              goto _flick_abort1003;
            }
          }
          break;
          {
          _flick_abort1003:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t338_principal_len;
            kern_return_t _return;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint _t339_storage;
            Oint *_local_outInt;
            Oint _t340_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1028);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1028);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t338_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t338_principal_len);
            flick_iiop_check_span(_t338_principal_len * 1, _flick_abort1028);
            flick_iiop_decode_new_chunk(_t338_principal_len);
            flick_iiop_decode_end_chunk(_t338_principal_len);
            flick_iiop_decode_end_glob(_t338_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutInt = (Oint *)(&_t339_storage);
            _local_outInt = (Oint *)(&_t340_storage);
            *_local_outInt = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1028);
              flick_iiop_encode_new_glob(4, _flick_abort1028);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1033);
                    break;
                    {
                    _flick_abort1033:
                      goto _flick_abort1028;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1028:
              goto _flick_abort1027;
            }
          }
          break;
          {
          _flick_abort1027:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t341_principal_len;
            kern_return_t _return;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct _t342_storage;
            OFstruct *_local_outStruct;
            OFstruct _t343_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1035);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1035);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t341_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t341_principal_len);
            flick_iiop_check_span(_t341_principal_len * 1, _flick_abort1035);
            flick_iiop_decode_new_chunk(_t341_principal_len);
            flick_iiop_decode_end_chunk(_t341_principal_len);
            flick_iiop_decode_end_glob(_t341_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutStruct = (OFstruct *)(&_t342_storage);
            _local_outStruct = (OFstruct *)(&_t343_storage);
            *_local_outStruct = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1035);
              flick_iiop_encode_new_glob(4, _flick_abort1035);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1040);
                    break;
                    {
                    _flick_abort1040:
                      goto _flick_abort1035;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1035:
              goto _flick_abort1034;
            }
          }
          break;
          {
          _flick_abort1034:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t344_principal_len;
            kern_return_t _return;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray _t345_storage;
            OFarray *_local_outArray;
            OFarray _t346_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1042);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1042);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t344_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t344_principal_len);
            flick_iiop_check_span(_t344_principal_len * 1, _flick_abort1042);
            flick_iiop_decode_new_chunk(_t344_principal_len);
            flick_iiop_decode_end_chunk(_t344_principal_len);
            flick_iiop_decode_end_glob(_t344_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutArray = (OFarray *)(&_t345_storage);
            _local_outArray = (OFarray *)(&_t346_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1042);
              flick_iiop_encode_new_glob(4, _flick_abort1042);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1047);
                    break;
                    {
                    _flick_abort1047:
                      goto _flick_abort1042;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1042:
              goto _flick_abort1041;
            }
          }
          break;
          {
          _flick_abort1041:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t347_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t348_storage;
            Oarray *_local_inoutArray;
            Oarray _t349_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t350_storage;
            Oarray *_local_outArray;
            Oarray _t351_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1049);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1049);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t347_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t347_principal_len);
            flick_iiop_check_span(_t347_principal_len * 1, _flick_abort1049);
            flick_iiop_decode_new_chunk(_t347_principal_len);
            flick_iiop_decode_end_chunk(_t347_principal_len);
            flick_iiop_decode_end_glob(_t347_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort1049);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t348_storage);
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t349_storage);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t350_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t351_storage);
            *_local_outArray = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1049);
              flick_iiop_encode_new_glob(12, _flick_abort1049);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1054);
                    break;
                    {
                    _flick_abort1054:
                      goto _flick_abort1049;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1049:
              goto _flick_abort1048;
            }
          }
          break;
          {
          _flick_abort1048:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t352_principal_len;
            kern_return_t _return;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring _t353_storage;
            OFstring *_local_outString;
            OFstring _t354_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1056);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1056);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t352_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t352_principal_len);
            flick_iiop_check_span(_t352_principal_len * 1, _flick_abort1056);
            flick_iiop_decode_new_chunk(_t352_principal_len);
            flick_iiop_decode_end_chunk(_t352_principal_len);
            flick_iiop_decode_end_glob(_t352_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutString = (OFstring *)(&_t353_storage);
            _local_outString = (OFstring *)(&_t354_storage);
            *_local_outString = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1056);
              flick_iiop_encode_new_glob(4, _flick_abort1056);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1061);
                    break;
                    {
                    _flick_abort1061:
                      goto _flick_abort1056;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1056:
              goto _flick_abort1055;
            }
          }
          break;
          {
          _flick_abort1055:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t355_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t356_storage;
            mach_port_array_t *_local_inoutRight;
            mach_port_array_t _t357_storage;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t358_storage;
            mach_port_array_t *_local_outRight;
            mach_port_array_t _t359_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1063);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1063);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t355_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t355_principal_len);
            flick_iiop_check_span(_t355_principal_len * 1, _flick_abort1063);
            flick_iiop_decode_new_chunk(_t355_principal_len);
            flick_iiop_decode_end_chunk(_t355_principal_len);
            flick_iiop_decode_end_glob(_t355_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort1063);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t356_storage);
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (mach_port_array_t *)(&_t357_storage);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t358_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (mach_port_array_t *)(&_t359_storage);
            *_local_outRight = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1063);
              flick_iiop_encode_new_glob(12, _flick_abort1063);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1068);
                    break;
                    {
                    _flick_abort1068:
                      goto _flick_abort1063;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1063:
              goto _flick_abort1062;
            }
          }
          break;
          {
          _flick_abort1062:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            unsigned int _t360_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t361_storage;
            Omach_poly_array_t *_local_inoutRight;
            Omach_poly_array_t _t362_storage;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t363_storage;
            Omach_poly_array_t *_local_outRight;
            Omach_poly_array_t _t364_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1070);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1070);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t360_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t360_principal_len);
            flick_iiop_check_span(_t360_principal_len * 1, _flick_abort1070);
            flick_iiop_decode_new_chunk(_t360_principal_len);
            flick_iiop_decode_end_chunk(_t360_principal_len);
            flick_iiop_decode_end_glob(_t360_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort1070);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t361_storage);
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (Omach_poly_array_t *)(&_t362_storage);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t363_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Omach_poly_array_t *)(&_t364_storage);
            *_local_outRight = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1070);
              flick_iiop_encode_new_glob(12, _flick_abort1070);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1075);
                    break;
                    {
                    _flick_abort1075:
                      goto _flick_abort1070;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1070:
              goto _flick_abort1069;
            }
          }
          break;
          {
          _flick_abort1069:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t365_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t366_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1077);
            flick_iiop_server_decode_client(_local_reply, 0, cdr_swap, _flick_abort1077);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1077);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t365_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t365_principal_len);
            flick_iiop_check_span(_t365_principal_len * 1, _flick_abort1077);
            flick_iiop_decode_new_chunk(_t365_principal_len);
            flick_iiop_decode_end_chunk(_t365_principal_len);
            flick_iiop_decode_end_glob(_t365_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t366_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1077);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1077);
              flick_iiop_encode_new_glob(8, _flick_abort1077);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1082);
                    break;
                    {
                    _flick_abort1082:
                      goto _flick_abort1077;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1077:
              goto _flick_abort1076;
            }
          }
          break;
          {
          _flick_abort1076:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t367_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t368_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1084);
            flick_iiop_server_decode_client(_local_reply, 0, cdr_swap, _flick_abort1084);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1084);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t367_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t367_principal_len);
            flick_iiop_check_span(_t367_principal_len * 1, _flick_abort1084);
            flick_iiop_decode_new_chunk(_t367_principal_len);
            flick_iiop_decode_end_chunk(_t367_principal_len);
            flick_iiop_decode_end_glob(_t367_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t368_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1084);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1084);
              flick_iiop_encode_new_glob(8, _flick_abort1084);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1089);
                    break;
                    {
                    _flick_abort1089:
                      goto _flick_abort1084;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1084:
              goto _flick_abort1083;
            }
          }
          break;
          {
          _flick_abort1083:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int _t369_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t370_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1091);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1091);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t369_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t369_principal_len);
            flick_iiop_check_span(_t369_principal_len * 1, _flick_abort1091);
            flick_iiop_decode_new_chunk(_t369_principal_len);
            flick_iiop_decode_end_chunk(_t369_principal_len);
            flick_iiop_decode_end_glob(_t369_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t370_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1091);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_ureply_ports(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1091);
              flick_iiop_encode_new_glob(8, _flick_abort1091);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1096);
                    break;
                    {
                    _flick_abort1096:
                      goto _flick_abort1091;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1091:
              goto _flick_abort1090;
            }
          }
          break;
          {
          _flick_abort1090:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _t371_principal_len;
            kern_return_t _return;
            unsigned int _local_seq;
            unsigned int *_local_data;
            unsigned int _t372_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1098);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1098);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t371_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t371_principal_len);
            flick_iiop_check_span(_t371_principal_len * 1, _flick_abort1098);
            flick_iiop_decode_new_chunk(_t371_principal_len);
            flick_iiop_decode_end_chunk(_t371_principal_len);
            flick_iiop_decode_end_glob(_t371_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t372_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1098);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1098);
              flick_iiop_encode_new_glob(8, _flick_abort1098);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1103);
                    break;
                    {
                    _flick_abort1103:
                      goto _flick_abort1098;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1098:
              goto _flick_abort1097;
            }
          }
          break;
          {
          _flick_abort1097:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            unsigned int _t373_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t374_storage;
            Oarray *_local_inoutArray;
            Oarray _t375_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t376_storage;
            Oarray *_local_outArray;
            Oarray _t377_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1105);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1105);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t373_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t373_principal_len);
            flick_iiop_check_span(_t373_principal_len * 1, _flick_abort1105);
            flick_iiop_decode_new_chunk(_t373_principal_len);
            flick_iiop_decode_end_chunk(_t373_principal_len);
            flick_iiop_decode_end_glob(_t373_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort1105);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t374_storage);
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t375_storage);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t376_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t377_storage);
            *_local_outArray = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1105);
              flick_iiop_encode_new_glob(12, _flick_abort1105);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArray = 0;
                    flick_cdr_encode_unsigned32(4, *_local_outArrayCnt, mach_msg_type_number_t );
                    mach_vm_flick_free(*_local_outArray);
                    *_local_outArray = 0;
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1110);
                    break;
                    {
                    _flick_abort1110:
                      goto _flick_abort1105;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1105:
              goto _flick_abort1104;
            }
          }
          break;
          {
          _flick_abort1104:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            unsigned int _t378_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            mach_msg_type_number_t _t379_array_iter;
            boolean_t *_local_scopy;
            boolean_t _t380_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1112);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1112);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t378_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t378_principal_len);
            flick_iiop_check_span(_t378_principal_len * 1, _flick_abort1112);
            flick_iiop_decode_new_chunk(_t378_principal_len);
            flick_iiop_decode_end_chunk(_t378_principal_len);
            flick_iiop_decode_end_glob(_t378_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1112);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1112);
              _local_inArray = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inArrayCnt * 4, _flick_abort1112);
            for (_t379_array_iter = 0; _t379_array_iter < _local_inArrayCnt; _t379_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t379_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_scopy = (boolean_t *)(&_t380_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_scopy);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1112);
              flick_iiop_encode_new_glob(5, _flick_abort1112);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_local_scopy, boolean_t );
                    flick_iiop_encode_end_chunk(1);
                    flick_iiop_encode_end_glob(5);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1124);
                    break;
                    {
                    _flick_abort1124:
                      goto _flick_abort1112;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1112:
              goto _flick_abort1111;
            }
          }
          break;
          {
          _flick_abort1111:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            unsigned int _t381_principal_len;
            kern_return_t _return;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1126);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort1126);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t381_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t381_principal_len);
            flick_iiop_check_span(_t381_principal_len * 1, _flick_abort1126);
            flick_iiop_decode_new_chunk(_t381_principal_len);
            flick_iiop_decode_end_chunk(_t381_principal_len);
            flick_iiop_decode_end_glob(_t381_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_terminate(_local_target);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort1126:
              goto _flick_abort1125;
            }
          }
          break;
          {
          _flick_abort1125:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t91_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t91_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t91_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            unsigned int _t92_principal_len;
            kern_return_t _return;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint _t93_storage;
            Iint *_local_outInt;
            Iint _t94_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort275);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t92_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t92_principal_len);
            flick_iiop_check_span(_t92_principal_len * 1, _flick_abort275);
            flick_iiop_decode_new_chunk(_t92_principal_len);
            flick_iiop_decode_end_chunk(_t92_principal_len);
            flick_iiop_decode_end_glob(_t92_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort275);
            flick_cdr_decode_signed32(0, _local_inInt, Iint );
            _local_inoutInt = (Iint *)(&_t93_storage);
            flick_cdr_decode_signed32(4, *_local_inoutInt, Iint );
            _local_outInt = (Iint *)(&_t94_storage);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort275);
              flick_iiop_encode_new_glob(12, _flick_abort275);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, *_local_inoutInt, Iint );
                    flick_cdr_encode_signed32(4, *_local_outInt, Iint );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort280);
                    break;
                    {
                    _flick_abort280:
                      goto _flick_abort275;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort275:
              goto _flick_abort274;
            }
          }
          break;
          {
          _flick_abort274:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t95_principal_len;
            kern_return_t _return;
            IFstruct _local_inStruct;
            unsigned *_t96_internal;
            IFstruct *_local_inoutStruct;
            IFstruct _t97_storage;
            unsigned *_t98_internal;
            IFstruct *_local_outStruct;
            IFstruct _t99_storage;
            unsigned *_t100_internal;

            _t96_internal = (unsigned *)(&(_local_inStruct));
            _t98_internal = (unsigned *)(&(*_local_inoutStruct));
            _t100_internal = (unsigned *)(&(*_local_outStruct));

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort282);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t95_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t95_principal_len);
            flick_iiop_check_span(_t95_principal_len * 1, _flick_abort282);
            flick_iiop_decode_new_chunk(_t95_principal_len);
            flick_iiop_decode_end_chunk(_t95_principal_len);
            flick_iiop_decode_end_glob(_t95_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(803);
            flick_iiop_decode_new_chunk_align(800, 2, 0, 0);
            flick_iiop_check_span(800, _flick_abort282);
            flick_cdr_decode_bcopy(0, _t96_internal, 400);
            _local_inoutStruct = (IFstruct *)(&_t97_storage);
            flick_cdr_decode_bcopy(400, _t98_internal, 400);
            _local_outStruct = (IFstruct *)(&_t99_storage);
            flick_iiop_decode_end_chunk(800);
            flick_iiop_decode_end_glob(803);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort282);
              flick_iiop_encode_new_glob(804, _flick_abort282);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    unsigned *_t104_internal;
                    unsigned *_t105_internal;
                    unsigned *_t106_internal;

                    _t104_internal = (unsigned *)(&(_local_inStruct));
                    _t105_internal = (unsigned *)(&(*_local_inoutStruct));
                    _t106_internal = (unsigned *)(&(*_local_outStruct));

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(800);
                    flick_cdr_encode_bcopy(0, _t105_internal, 400);
                    flick_cdr_encode_bcopy(400, _t106_internal, 400);
                    flick_iiop_encode_end_chunk(800);
                    flick_iiop_encode_end_glob(804);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(804);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort302);
                    break;
                    {
                    _flick_abort302:
                      goto _flick_abort282;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort282:
              goto _flick_abort281;
            }
          }
          break;
          {
          _flick_abort281:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t107_principal_len;
            kern_return_t _return;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned _t108_storage[300];
            unsigned *_local_outArray;
            unsigned _t109_storage[300];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort304);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t107_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t107_principal_len);
            flick_iiop_check_span(_t107_principal_len * 1, _flick_abort304);
            flick_iiop_decode_new_chunk(_t107_principal_len);
            flick_iiop_decode_end_chunk(_t107_principal_len);
            flick_iiop_decode_end_glob(_t107_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2403);
            flick_iiop_decode_new_chunk_align(2400, 2, 0, 0);
            flick_iiop_check_span(2400, _flick_abort304);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            _local_inoutArray = (unsigned *)_t108_storage;
            flick_cdr_decode_bcopy(1200, _local_inoutArray, 1200);
            _local_outArray = (unsigned *)_t109_storage;
            flick_iiop_decode_end_chunk(2400);
            flick_iiop_decode_end_glob(2403);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort304);
              flick_iiop_encode_new_glob(2404, _flick_abort304);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2400);
                    flick_cdr_encode_bcopy(0, _local_inoutArray, 1200);
                    flick_cdr_encode_bcopy(1200, _local_outArray, 1200);
                    flick_iiop_encode_end_chunk(2400);
                    flick_iiop_encode_end_glob(2404);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2404);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort324);
                    break;
                    {
                    _flick_abort324:
                      goto _flick_abort304;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort304:
              goto _flick_abort303;
            }
          }
          break;
          {
          _flick_abort303:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t110_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_inArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t111_storage;
            unsigned *_local_outArray;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort326);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t110_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t110_principal_len);
            flick_iiop_check_span(_t110_principal_len * 1, _flick_abort326);
            flick_iiop_decode_new_chunk(_t110_principal_len);
            flick_iiop_decode_end_chunk(_t110_principal_len);
            flick_iiop_decode_end_glob(_t110_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2007);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort326);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            if (_local_inArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort326);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(4 * _local_inArrayCnt * 1, _flick_abort326);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t111_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = 0;
            flick_iiop_decode_end_glob(2007);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort326);
              flick_iiop_encode_new_glob(2008, _flick_abort326);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    if (*_local_outArrayCnt > 500)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort335);
                    flick_cdr_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(2008);
                    break;
                    {
                    _flick_abort335:
                      goto _flick_abort326;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2008);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort339);
                    break;
                    {
                    _flick_abort339:
                      goto _flick_abort326;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort326:
              goto _flick_abort325;
            }
          }
          break;
          {
          _flick_abort325:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t112_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t113_storage;
            Iarray *_local_outArray;
            Iarray _t114_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort341);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t112_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t112_principal_len);
            flick_iiop_check_span(_t112_principal_len * 1, _flick_abort341);
            flick_iiop_decode_new_chunk(_t112_principal_len);
            flick_iiop_decode_end_chunk(_t112_principal_len);
            flick_iiop_decode_end_glob(_t112_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort341);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            flick_iiop_check_span(4 * _local_inArrayCnt * 1, _flick_abort341);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t113_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t114_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort341);
              flick_iiop_encode_new_glob(8, _flick_abort341);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort350);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort350:
                      goto _flick_abort341;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort354);
                    break;
                    {
                    _flick_abort354:
                      goto _flick_abort341;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort341:
              goto _flick_abort340;
            }
          }
          break;
          {
          _flick_abort340:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t115_principal_len;
            kern_return_t _return;
            char *_local_inString;
            char *_local_inoutString;
            char _t116_storage[799];
            char *_local_outString;
            char _t117_storage[799];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort356);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(1604, _flick_abort356);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t115_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t115_principal_len);
            flick_iiop_check_span(1604 - 1604 + 1600 + _t115_principal_len * 1, _flick_abort356);
            flick_iiop_decode_new_chunk(_t115_principal_len);
            flick_iiop_decode_end_chunk(_t115_principal_len);
            flick_iiop_decode_end_glob(_t115_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1600);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_decode_msgptr(0, _local_inString, char *);
            _local_inoutString = (char *)_t116_storage;
            flick_cdr_decode_bcopy(800, _local_inoutString, 799);
            _local_outString = (char *)_t117_storage;
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1600);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort356);
              flick_iiop_encode_new_glob(1604, _flick_abort356);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1600);
                    flick_cdr_encode_bcopy(0, _local_inoutString, 799);
                    flick_cdr_encode_bcopy(800, _local_outString, 799);
                    flick_iiop_encode_end_chunk(1600);
                    flick_iiop_encode_end_glob(1604);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1604);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort376);
                    break;
                    {
                    _flick_abort376:
                      goto _flick_abort356;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort356:
              goto _flick_abort355;
            }
          }
          break;
          {
          _flick_abort355:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t118_principal_len;
            kern_return_t _return;
            char *_local_inString;
            flick_unsigned32_t _t119_temp_string_len;
            char *_local_outString;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort378);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t118_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t118_principal_len);
            flick_iiop_check_span(_t118_principal_len * 1, _flick_abort378);
            flick_iiop_decode_new_chunk(_t118_principal_len);
            flick_iiop_decode_end_chunk(_t118_principal_len);
            flick_iiop_decode_end_glob(_t118_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(5005);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort378);
            flick_cdr_decode_unsigned32(0, _t119_temp_string_len, flick_unsigned32_t );
            if (_t119_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort378);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(1 * _t119_temp_string_len * 1, _flick_abort378);
            flick_iiop_decode_new_chunk(1 * _t119_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_inString, char *);
            flick_iiop_decode_end_chunk(1 * _t119_temp_string_len);
            _local_outString = 0;
            flick_iiop_decode_end_glob(5005);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort378);
              flick_iiop_encode_new_glob(5006, _flick_abort378);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    flick_unsigned32_t _t122_temp_string_len;
                    flick_unsigned32_t _t123_temp_string_len;

                    flick_cdr_stringlen(char *, _local_inString, flick_unsigned32_t , _t122_temp_string_len);
                    flick_cdr_stringlen(char *, _local_outString, flick_unsigned32_t , _t123_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 1 * _t123_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t123_temp_string_len, flick_unsigned32_t );
                    if (_t123_temp_string_len > 4997)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort387);
                    flick_cdr_encode_bcopy(4, _local_outString, 1 * _t123_temp_string_len);
                    flick_iiop_encode_end_chunk(4 + 1 * _t123_temp_string_len);
                    flick_iiop_encode_end_glob(5006);
                    break;
                    {
                    _flick_abort387:
                      goto _flick_abort378;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5006);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort391);
                    break;
                    {
                    _flick_abort391:
                      goto _flick_abort378;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort378:
              goto _flick_abort377;
            }
          }
          break;
          {
          _flick_abort377:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t124_principal_len;
            kern_return_t _return;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t _t125_storage;
            mach_port_t *_local_outRight;
            mach_port_t _t126_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort393);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t124_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t124_principal_len);
            flick_iiop_check_span(_t124_principal_len * 1, _flick_abort393);
            flick_iiop_decode_new_chunk(_t124_principal_len);
            flick_iiop_decode_end_chunk(_t124_principal_len);
            flick_iiop_decode_end_glob(_t124_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = (mach_port_t *)(&_t125_storage);
            flick_cdr_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = (mach_port_t *)(&_t126_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort393);
              flick_iiop_encode_new_glob(4, _flick_abort393);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0, _flick_abort397);
                    flick_cdr_encode_IOR(iiop, *_local_outRight, 1, _flick_abort397);
                    flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                    break;
                    {
                    _flick_abort397:
                      goto _flick_abort393;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort398);
                    break;
                    {
                    _flick_abort398:
                      goto _flick_abort393;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort393:
              goto _flick_abort392;
            }
          }
          break;
          {
          _flick_abort392:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t127_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _t128_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t129_storage;
            Imach_port_array_t *_local_outRight;
            Imach_port_array_t _t130_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort400);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t127_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t127_principal_len);
            flick_iiop_check_span(_t127_principal_len * 1, _flick_abort400);
            flick_iiop_decode_new_chunk(_t127_principal_len);
            flick_iiop_decode_end_chunk(_t127_principal_len);
            flick_iiop_decode_end_glob(_t127_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort400);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort400);
              _local_inRight = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inRightCnt * 0, _flick_abort400);
            for (_t128_array_iter = 0; _t128_array_iter < _local_inRightCnt; _t128_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t128_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t128_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t129_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_port_array_t *)(&_t130_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort400);
              flick_iiop_encode_new_glob(8, _flick_abort400);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t132_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t132_array_iter = 0; _t132_array_iter < *_local_outRightCnt; _t132_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t132_array_iter], 1, _flick_abort420);
                        flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t132_array_iter], 1);
                        continue;
                        {
                        _flick_abort420:
                          goto _flick_abort415;
                        }
                      }
                    break;
                    {
                    _flick_abort415:
                      goto _flick_abort400;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort422);
                    break;
                    {
                    _flick_abort422:
                      goto _flick_abort400;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort400:
              goto _flick_abort399;
            }
          }
          break;
          {
          _flick_abort399:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t133_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _t134_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t135_storage;
            Imach_poly_array_t *_local_outRight;
            Imach_poly_array_t _t136_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort424);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t133_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t133_principal_len);
            flick_iiop_check_span(_t133_principal_len * 1, _flick_abort424);
            flick_iiop_decode_new_chunk(_t133_principal_len);
            flick_iiop_decode_end_chunk(_t133_principal_len);
            flick_iiop_decode_end_glob(_t133_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort424);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort424);
              _local_inRight = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inRightCnt * 0, _flick_abort424);
            for (_t134_array_iter = 0; _t134_array_iter < _local_inRightCnt; _t134_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t134_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t134_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t135_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_poly_array_t *)(&_t136_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort424);
              flick_iiop_encode_new_glob(8, _flick_abort424);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t138_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t138_array_iter = 0; _t138_array_iter < *_local_outRightCnt; _t138_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t138_array_iter], 0, _flick_abort444);
                        continue;
                        {
                        _flick_abort444:
                          goto _flick_abort439;
                        }
                      }
                    break;
                    {
                    _flick_abort439:
                      goto _flick_abort424;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort446);
                    break;
                    {
                    _flick_abort446:
                      goto _flick_abort424;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort424:
              goto _flick_abort423;
            }
          }
          break;
          {
          _flick_abort423:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t139_principal_len;
            kern_return_t _return;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint _t140_storage;
            Oint *_local_outInt;
            Oint _t141_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort448);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t139_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t139_principal_len);
            flick_iiop_check_span(_t139_principal_len * 1, _flick_abort448);
            flick_iiop_decode_new_chunk(_t139_principal_len);
            flick_iiop_decode_end_chunk(_t139_principal_len);
            flick_iiop_decode_end_glob(_t139_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutInt = (Oint *)(&_t140_storage);
            _local_outInt = (Oint *)(&_t141_storage);
            *_local_outInt = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort448);
              flick_iiop_encode_new_glob(4, _flick_abort448);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort453);
                    break;
                    {
                    _flick_abort453:
                      goto _flick_abort448;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort448:
              goto _flick_abort447;
            }
          }
          break;
          {
          _flick_abort447:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t142_principal_len;
            kern_return_t _return;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct _t143_storage;
            OFstruct *_local_outStruct;
            OFstruct _t144_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort455);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t142_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t142_principal_len);
            flick_iiop_check_span(_t142_principal_len * 1, _flick_abort455);
            flick_iiop_decode_new_chunk(_t142_principal_len);
            flick_iiop_decode_end_chunk(_t142_principal_len);
            flick_iiop_decode_end_glob(_t142_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutStruct = (OFstruct *)(&_t143_storage);
            _local_outStruct = (OFstruct *)(&_t144_storage);
            *_local_outStruct = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort455);
              flick_iiop_encode_new_glob(4, _flick_abort455);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort460);
                    break;
                    {
                    _flick_abort460:
                      goto _flick_abort455;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort455:
              goto _flick_abort454;
            }
          }
          break;
          {
          _flick_abort454:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t145_principal_len;
            kern_return_t _return;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray _t146_storage;
            OFarray *_local_outArray;
            OFarray _t147_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort462);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t145_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t145_principal_len);
            flick_iiop_check_span(_t145_principal_len * 1, _flick_abort462);
            flick_iiop_decode_new_chunk(_t145_principal_len);
            flick_iiop_decode_end_chunk(_t145_principal_len);
            flick_iiop_decode_end_glob(_t145_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutArray = (OFarray *)(&_t146_storage);
            _local_outArray = (OFarray *)(&_t147_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort462);
              flick_iiop_encode_new_glob(4, _flick_abort462);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort467);
                    break;
                    {
                    _flick_abort467:
                      goto _flick_abort462;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort462:
              goto _flick_abort461;
            }
          }
          break;
          {
          _flick_abort461:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t148_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t149_storage;
            Oarray *_local_inoutArray;
            Oarray _t150_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t151_storage;
            Oarray *_local_outArray;
            Oarray _t152_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort469);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t148_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t148_principal_len);
            flick_iiop_check_span(_t148_principal_len * 1, _flick_abort469);
            flick_iiop_decode_new_chunk(_t148_principal_len);
            flick_iiop_decode_end_chunk(_t148_principal_len);
            flick_iiop_decode_end_glob(_t148_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort469);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t149_storage);
            flick_cdr_decode_unsigned32(4, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t150_storage);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t151_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t152_storage);
            *_local_outArray = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort469);
              flick_iiop_encode_new_glob(12, _flick_abort469);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort474);
                    break;
                    {
                    _flick_abort474:
                      goto _flick_abort469;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort469:
              goto _flick_abort468;
            }
          }
          break;
          {
          _flick_abort468:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t153_principal_len;
            kern_return_t _return;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring _t154_storage;
            OFstring *_local_outString;
            OFstring _t155_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort476);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t153_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t153_principal_len);
            flick_iiop_check_span(_t153_principal_len * 1, _flick_abort476);
            flick_iiop_decode_new_chunk(_t153_principal_len);
            flick_iiop_decode_end_chunk(_t153_principal_len);
            flick_iiop_decode_end_glob(_t153_principal_len);
            /* Begin decode phase on parameters */
            _local_inoutString = (OFstring *)(&_t154_storage);
            _local_outString = (OFstring *)(&_t155_storage);
            *_local_outString = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort476);
              flick_iiop_encode_new_glob(4, _flick_abort476);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort481);
                    break;
                    {
                    _flick_abort481:
                      goto _flick_abort476;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort476:
              goto _flick_abort475;
            }
          }
          break;
          {
          _flick_abort475:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t156_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t157_storage;
            mach_port_array_t *_local_inoutRight;
            mach_port_array_t _t158_storage;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t159_storage;
            mach_port_array_t *_local_outRight;
            mach_port_array_t _t160_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort483);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t156_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t156_principal_len);
            flick_iiop_check_span(_t156_principal_len * 1, _flick_abort483);
            flick_iiop_decode_new_chunk(_t156_principal_len);
            flick_iiop_decode_end_chunk(_t156_principal_len);
            flick_iiop_decode_end_glob(_t156_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort483);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t157_storage);
            flick_cdr_decode_unsigned32(4, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (mach_port_array_t *)(&_t158_storage);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t159_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (mach_port_array_t *)(&_t160_storage);
            *_local_outRight = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort483);
              flick_iiop_encode_new_glob(12, _flick_abort483);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort488);
                    break;
                    {
                    _flick_abort488:
                      goto _flick_abort483;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort483:
              goto _flick_abort482;
            }
          }
          break;
          {
          _flick_abort482:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            unsigned int _t161_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t162_storage;
            Omach_poly_array_t *_local_inoutRight;
            Omach_poly_array_t _t163_storage;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t164_storage;
            Omach_poly_array_t *_local_outRight;
            Omach_poly_array_t _t165_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort490);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t161_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t161_principal_len);
            flick_iiop_check_span(_t161_principal_len * 1, _flick_abort490);
            flick_iiop_decode_new_chunk(_t161_principal_len);
            flick_iiop_decode_end_chunk(_t161_principal_len);
            flick_iiop_decode_end_glob(_t161_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort490);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t162_storage);
            flick_cdr_decode_unsigned32(4, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (Omach_poly_array_t *)(&_t163_storage);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t164_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Omach_poly_array_t *)(&_t165_storage);
            *_local_outRight = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort490);
              flick_iiop_encode_new_glob(12, _flick_abort490);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort495);
                    break;
                    {
                    _flick_abort495:
                      goto _flick_abort490;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort490:
              goto _flick_abort489;
            }
          }
          break;
          {
          _flick_abort489:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t166_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t167_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort497);
            flick_iiop_server_decode_client(_local_reply, 0, cdr, _flick_abort497);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t166_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t166_principal_len);
            flick_iiop_check_span(_t166_principal_len * 1, _flick_abort497);
            flick_iiop_decode_new_chunk(_t166_principal_len);
            flick_iiop_decode_end_chunk(_t166_principal_len);
            flick_iiop_decode_end_glob(_t166_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t167_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort497);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort497);
              flick_iiop_encode_new_glob(8, _flick_abort497);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort502);
                    break;
                    {
                    _flick_abort502:
                      goto _flick_abort497;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort497:
              goto _flick_abort496;
            }
          }
          break;
          {
          _flick_abort496:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t168_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t169_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort504);
            flick_iiop_server_decode_client(_local_reply, 0, cdr, _flick_abort504);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t168_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t168_principal_len);
            flick_iiop_check_span(_t168_principal_len * 1, _flick_abort504);
            flick_iiop_decode_new_chunk(_t168_principal_len);
            flick_iiop_decode_end_chunk(_t168_principal_len);
            flick_iiop_decode_end_glob(_t168_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t169_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort504);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort504);
              flick_iiop_encode_new_glob(8, _flick_abort504);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort509);
                    break;
                    {
                    _flick_abort509:
                      goto _flick_abort504;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort504:
              goto _flick_abort503;
            }
          }
          break;
          {
          _flick_abort503:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int _t170_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t171_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort511);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t170_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t170_principal_len);
            flick_iiop_check_span(_t170_principal_len * 1, _flick_abort511);
            flick_iiop_decode_new_chunk(_t170_principal_len);
            flick_iiop_decode_end_chunk(_t170_principal_len);
            flick_iiop_decode_end_glob(_t170_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t171_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort511);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_ureply_ports(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort511);
              flick_iiop_encode_new_glob(8, _flick_abort511);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort516);
                    break;
                    {
                    _flick_abort516:
                      goto _flick_abort511;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort511:
              goto _flick_abort510;
            }
          }
          break;
          {
          _flick_abort510:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _t172_principal_len;
            kern_return_t _return;
            unsigned int _local_seq;
            unsigned int *_local_data;
            unsigned int _t173_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort518);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t172_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t172_principal_len);
            flick_iiop_check_span(_t172_principal_len * 1, _flick_abort518);
            flick_iiop_decode_new_chunk(_t172_principal_len);
            flick_iiop_decode_end_chunk(_t172_principal_len);
            flick_iiop_decode_end_glob(_t172_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t173_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort518);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort518);
              flick_iiop_encode_new_glob(8, _flick_abort518);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort523);
                    break;
                    {
                    _flick_abort523:
                      goto _flick_abort518;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort518:
              goto _flick_abort517;
            }
          }
          break;
          {
          _flick_abort517:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            unsigned int _t174_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t175_storage;
            Oarray *_local_inoutArray;
            Oarray _t176_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t177_storage;
            Oarray *_local_outArray;
            Oarray _t178_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort525);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t174_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t174_principal_len);
            flick_iiop_check_span(_t174_principal_len * 1, _flick_abort525);
            flick_iiop_decode_new_chunk(_t174_principal_len);
            flick_iiop_decode_end_chunk(_t174_principal_len);
            flick_iiop_decode_end_glob(_t174_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort525);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t175_storage);
            flick_cdr_decode_unsigned32(4, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t176_storage);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t177_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t178_storage);
            *_local_outArray = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort525);
              flick_iiop_encode_new_glob(12, _flick_abort525);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArray = 0;
                    flick_cdr_encode_unsigned32(4, *_local_outArrayCnt, mach_msg_type_number_t );
                    mach_vm_flick_free(*_local_outArray);
                    *_local_outArray = 0;
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort530);
                    break;
                    {
                    _flick_abort530:
                      goto _flick_abort525;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort525:
              goto _flick_abort524;
            }
          }
          break;
          {
          _flick_abort524:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            unsigned int _t179_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            boolean_t *_local_scopy;
            boolean_t _t180_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort532);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t179_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t179_principal_len);
            flick_iiop_check_span(_t179_principal_len * 1, _flick_abort532);
            flick_iiop_decode_new_chunk(_t179_principal_len);
            flick_iiop_decode_end_chunk(_t179_principal_len);
            flick_iiop_decode_end_glob(_t179_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort532);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            flick_iiop_check_span(4 * _local_inArrayCnt * 1, _flick_abort532);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_scopy = (boolean_t *)(&_t180_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_scopy);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort532);
              flick_iiop_encode_new_glob(5, _flick_abort532);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_local_scopy, boolean_t );
                    flick_iiop_encode_end_chunk(1);
                    flick_iiop_encode_end_glob(5);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort541);
                    break;
                    {
                    _flick_abort541:
                      goto _flick_abort532;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort532:
              goto _flick_abort531;
            }
          }
          break;
          {
          _flick_abort531:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            unsigned int _t181_principal_len;
            kern_return_t _return;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort543);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t181_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t181_principal_len);
            flick_iiop_check_span(_t181_principal_len * 1, _flick_abort543);
            flick_iiop_decode_new_chunk(_t181_principal_len);
            flick_iiop_decode_end_chunk(_t181_principal_len);
            flick_iiop_decode_end_glob(_t181_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_terminate(_local_target);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort543:
              goto _flick_abort542;
            }
          }
          break;
          {
          _flick_abort542:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

