#include "sequence-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort0);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort3);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort7);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_iiop_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->_buffer);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort14);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->reason, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort15);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->reason, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_puke_swap(flick_marshal_stream_t _stream, puke *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort16);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->reason, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort17);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t43_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t43_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t43_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t44_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t44_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t45_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t45_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t45_switch_tag)
                  {
                  case 0:
                    {
                      {
                        TestSeq _obj;
                        unsigned int _t46_principal_len;
                        vec10 *_return;
                        vec10 *_local_iv;
                        vec10 _t47_storage;
                        CORBA_long _t48_storage[10];
                        CORBA_unsigned_long _t49_array_iter;
                        vec10 **_local_ov;
                        vec10 *_t50_storage;
                        vec10 *_local_iov;
                        vec10 _t51_storage;
                        CORBA_unsigned_long _t52_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t53_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort161);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t46_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t46_principal_len);
                        flick_iiop_check_span(9 - 9 + 4 + _t46_principal_len * 1, _flick_abort161);
                        flick_iiop_decode_new_chunk(_t46_principal_len);
                        flick_iiop_decode_end_chunk(_t46_principal_len);
                        flick_iiop_decode_end_glob(_t46_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_iv = (vec10 *)(&_t47_storage);
                        flick_iiop_decode_new_glob(91);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort161);
                        flick_cdr_swap_decode_unsigned32(0, _local_iv->_length, CORBA_unsigned_long );
                        if (_local_iv->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort161);
                        flick_iiop_decode_end_chunk(4);
                        _local_iv->_buffer = (CORBA_long *)_t48_storage;
                        _local_iv->_maximum = 10;
                        _local_iv->_release = 0;
                        flick_iiop_check_span(9 - 9 + 4 + _local_iv->_length * 4, _flick_abort161);
                        for (_t49_array_iter = 0; _t49_array_iter < _local_iv->_length; _t49_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_iv->_buffer[_t49_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                          }
                        _local_ov = (vec10 **)(&_t50_storage);
                        _local_iov = (vec10 *)(&_t51_storage);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                        if (_local_iov->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort161);
                        flick_iiop_decode_end_chunk(4);
                        {
                          CORBA_long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort161);
                          _local_iov->_buffer = _t_alloc_ptr;
                          _local_iov->_maximum = 10;
                          _local_iov->_release = 1;
                        }
                        flick_iiop_check_span(_local_iov->_length * 4, _flick_abort170);
                        for (_t52_array_iter = 0; _t52_array_iter < _local_iov->_length; _t52_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_iov->_buffer[_t52_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                          }
                        _ev = (CORBA_Environment *)(&_t53_storage);
                        flick_iiop_decode_end_glob(91);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort170);
                          flick_iiop_encode_new_glob(136, _flick_abort170);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                if (_return->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort186);
                                flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_iiop_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                                flick_cdr_encode_unsigned32(0, (*_local_ov)->_length, CORBA_unsigned_long );
                                if ((*_local_ov)->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort186);
                                flick_cdr_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                                if ((*_local_ov)->_release)
                                  CORBA_flick_free((*_local_ov)->_buffer);
                                (*_local_ov)->_maximum = 0;
                                (*_local_ov)->_release = 0;
                                (*_local_ov)->_buffer = 0;
                                flick_iiop_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                                CORBA_flick_free(*_local_ov);
                                *_local_ov = 0;
                                flick_iiop_encode_new_chunk(4 + 4 * _local_iov->_length);
                                flick_cdr_encode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                                if (_local_iov->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort186);
                                flick_cdr_encode_bcopy(4, _local_iov->_buffer, 4 * _local_iov->_length);
                                if (_local_iov->_release)
                                  CORBA_flick_free(_local_iov->_buffer);
                                _local_iov->_maximum = 0;
                                _local_iov->_release = 0;
                                _local_iov->_buffer = 0;
                                flick_iiop_encode_end_chunk(4 + 4 * _local_iov->_length);
                                flick_iiop_encode_end_glob(136);
                                break;
                                {
                                _flick_abort186:
                                  goto _flick_abort170;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(136);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort193);
                                break;
                                {
                                _flick_abort193:
                                  goto _flick_abort170;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 13:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                      {
                                                        switch (*(char *)(_ev->_id + 12))
                                                          {
                                                          case 0:
                                                            {
                                                              flick_iiop_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                              CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                              flick_iiop_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort194);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(136);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort170;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort170:
                          CORBA_flick_free(_local_iov->_buffer);
                        _flick_abort161:
                          goto _flick_abort160;
                        }
                      }
                      break;
                      {
                      _flick_abort160:
                        goto _flick_abort22;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t54_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t54_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t55_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t55_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t55_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t56_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t57_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t58_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort199);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t56_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t56_principal_len);
                        flick_iiop_check_span(_t56_principal_len * 1, _flick_abort199);
                        flick_iiop_decode_new_chunk(_t56_principal_len);
                        flick_iiop_decode_end_chunk(_t56_principal_len);
                        flick_iiop_decode_end_glob(_t56_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort199);
                        flick_cdr_swap_decode_unsigned32(0, _t57_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t57_temp_string_len);
                        flick_iiop_check_span(1 * _t57_temp_string_len * 1, _flick_abort199);
                        flick_iiop_decode_new_chunk(1 * _t57_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t57_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t57_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t58_storage);
                        _par = flick_interface_parents_TestSeq;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort199);
                          flick_iiop_encode_new_glob(5, _flick_abort199);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort207);
                                break;
                                {
                                _flick_abort207:
                                  goto _flick_abort199;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort208);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort208:
                                  goto _flick_abort199;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort199:
                          goto _flick_abort198;
                        }
                      }
                      break;
                      {
                      _flick_abort198:
                        goto _flick_abort22;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t14_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t14_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t15_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t15_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t15_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t16_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t16_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t16_switch_tag)
                  {
                  case 0:
                    {
                      {
                        TestSeq _obj;
                        unsigned int _t17_principal_len;
                        vec10 *_return;
                        vec10 *_local_iv;
                        vec10 _t18_storage;
                        vec10 **_local_ov;
                        vec10 *_t19_storage;
                        vec10 *_local_iov;
                        vec10 _t20_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t21_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort68);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t17_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t17_principal_len);
                        flick_iiop_check_span(9 - 9 + 4 + _t17_principal_len * 1, _flick_abort68);
                        flick_iiop_decode_new_chunk(_t17_principal_len);
                        flick_iiop_decode_end_chunk(_t17_principal_len);
                        flick_iiop_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_iv = (vec10 *)(&_t18_storage);
                        flick_iiop_decode_new_glob(91);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort68);
                        flick_cdr_decode_unsigned32(0, _local_iv->_length, CORBA_unsigned_long );
                        if (_local_iv->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_check_span(9 - 9 + 4 + 4 * _local_iv->_length * 1, _flick_abort68);
                        flick_iiop_decode_new_chunk(4 * _local_iv->_length);
                        flick_cdr_decode_msgptr(0, _local_iv->_buffer, CORBA_long *);
                        _local_iv->_maximum = _local_iv->_length;
                        _local_iv->_release = 0;
                        flick_iiop_decode_end_chunk(4 * _local_iv->_length);
                        _local_ov = (vec10 **)(&_t19_storage);
                        _local_iov = (vec10 *)(&_t20_storage);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                        if (_local_iov->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_check_span(4 * _local_iov->_length * 1, _flick_abort68);
                        flick_iiop_decode_new_chunk(4 * _local_iov->_length);
                        {
                          CORBA_long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort68);
                          _local_iov->_buffer = _t_alloc_ptr;
                          _local_iov->_maximum = 10;
                          _local_iov->_release = 1;
                        }
                        flick_cdr_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                        flick_iiop_decode_end_chunk(4 * _local_iov->_length);
                        _ev = (CORBA_Environment *)(&_t21_storage);
                        flick_iiop_decode_end_glob(91);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort73);
                          flick_iiop_encode_new_glob(136, _flick_abort73);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                if (_return->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort87);
                                flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_iiop_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                                flick_cdr_encode_unsigned32(0, (*_local_ov)->_length, CORBA_unsigned_long );
                                if ((*_local_ov)->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort87);
                                flick_cdr_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                                if ((*_local_ov)->_release)
                                  CORBA_flick_free((*_local_ov)->_buffer);
                                (*_local_ov)->_maximum = 0;
                                (*_local_ov)->_release = 0;
                                (*_local_ov)->_buffer = 0;
                                flick_iiop_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                                CORBA_flick_free(*_local_ov);
                                *_local_ov = 0;
                                flick_iiop_encode_new_chunk(4 + 4 * _local_iov->_length);
                                flick_cdr_encode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                                if (_local_iov->_length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort87);
                                flick_cdr_encode_bcopy(4, _local_iov->_buffer, 4 * _local_iov->_length);
                                if (_local_iov->_release)
                                  CORBA_flick_free(_local_iov->_buffer);
                                _local_iov->_maximum = 0;
                                _local_iov->_release = 0;
                                _local_iov->_buffer = 0;
                                flick_iiop_encode_end_chunk(4 + 4 * _local_iov->_length);
                                flick_iiop_encode_end_glob(136);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort73;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(136);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort94);
                                break;
                                {
                                _flick_abort94:
                                  goto _flick_abort73;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 13:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                      {
                                                        switch (*(char *)(_ev->_id + 12))
                                                          {
                                                          case 0:
                                                            {
                                                              flick_iiop_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                              CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                              flick_iiop_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort95);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort95);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort95);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort95);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort95);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(136);
                                break;
                                {
                                _flick_abort95:
                                  goto _flick_abort73;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort73:
                          CORBA_flick_free(_local_iov->_buffer);
                        _flick_abort68:
                          goto _flick_abort67;
                        }
                      }
                      break;
                      {
                      _flick_abort67:
                        goto _flick_abort22;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t22_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t22_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t23_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t23_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t23_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t24_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t25_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t26_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort100);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t24_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t24_principal_len);
                        flick_iiop_check_span(_t24_principal_len * 1, _flick_abort100);
                        flick_iiop_decode_new_chunk(_t24_principal_len);
                        flick_iiop_decode_end_chunk(_t24_principal_len);
                        flick_iiop_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort100);
                        flick_cdr_decode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t25_temp_string_len);
                        flick_iiop_check_span(1 * _t25_temp_string_len * 1, _flick_abort100);
                        flick_iiop_decode_new_chunk(1 * _t25_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t25_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t25_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t26_storage);
                        _par = flick_interface_parents_TestSeq;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort100);
                          flick_iiop_encode_new_glob(5, _flick_abort100);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort108);
                                break;
                                {
                                _flick_abort108:
                                  goto _flick_abort100;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort109);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort109:
                                  goto _flick_abort100;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort100:
                          goto _flick_abort99;
                        }
                      }
                      break;
                      {
                      _flick_abort99:
                        goto _flick_abort22;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort22:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort21);
  _flick_abort21:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

