#include "constant-server.h"

POA_M::A::A()
{}

POA_M::A::A(const A &rhs)
  : TAO_ServantBase(rhs)
{}

POA_M::A::~A()
{}

M::A *POA_M::A::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_M::_tao_collocated_A(this, stub);
}

CORBA::Boolean POA_M::A::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:M/A:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_M::A::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:M/A:1.0") == 0)
    return ACE_static_cast(POA_M::A_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_M::A::_interface_repository_id() const
{
  return "IDL:M/A:1.0";
}

template <class T>
  POA_M::A_tie<T>::A_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_M::A_tie<T>::A_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_M::A_tie<T>::A_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_M::A_tie<T>::A_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_M::A_tie<T>::~A_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_M::A_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_M::A_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_M::A_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_M::A_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_M::A_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_M::A_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_M::A_tie<T>::A_tie(const A_tie &c)
{}

template <class T>
  void POA_M::A_tie<T>::operator=(const A_tie &c)
{}

template <class T>
  enum M::A::N POA_M::A_tie<T>::foo(/* POA_M::A *this, */ enum M::A::N x, M::A::N_out y, enum M::A::N &z, CORBA::Environment &_ev)
{
  return this->ptr_->foo (x, y, z, _ev);
}

POA_M::_tao_collocated_A::_tao_collocated_A(POA_M::A_ptr servant, TAO_Stub *stub)
  : M::A(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_M::A_ptr POA_M::_tao_collocated_A::_get_servant() const
{
  return this->servant_;
}

enum M::A::N POA_M::_tao_collocated_A::foo(enum M::A::N x, M::A::N_out y, enum M::A::N &z, CORBA::Environment &_ev)
{
  return this->servant_->foo (x, y, z, _ev);
}

CORBA::Boolean POA_M::_tao_collocated_A::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, M::A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, A , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, M::A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, A , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, M::A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, A , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_M::A::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t33_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t34_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* foo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718578944):
              {
                {
                  POA_M::A *_local_this;
                  unsigned int _t35_principal_len;
                  enum M::A::N _return;
                  enum M::A::N _local_x;
                  enum M::A::N _local_y;
                  enum M::A::N _local_z;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort99);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t35_principal_len);
                  flick_iiopxx_check_span(_t35_principal_len * 1, _flick_abort99);
                  flick_iiopxx_decode_new_chunk(_t35_principal_len);
                  flick_iiopxx_decode_end_chunk(_t35_principal_len);
                  flick_iiopxx_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort99);
                  flick_cdr_swap_decode_unsigned32(0, _local_x, enum M::A::N );
                  flick_cdr_swap_decode_unsigned32(4, _local_z, enum M::A::N );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->foo(_local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t36_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t36_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort99);
                    flick_iiopxx_encode_new_glob(24, _flick_abort99);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t36_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t36_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_unsigned32(0, _return, enum M::A::N );
                          flick_cdr_encode_unsigned32(4, _local_y, enum M::A::N );
                          flick_cdr_encode_unsigned32(8, _local_z, enum M::A::N );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort110);
                          break;
                          {
                          _flick_abort110:
                            goto _flick_abort99;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t38_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t38_temp_env);

                          switch ((unsigned int )(1+strlen(_t38_temp_env._id)))
                            {
                            case (unsigned int) 14:
                              {
                                switch (*(unsigned int *)(_t38_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t38_temp_env._id + 4))
                                        {
                                        case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                          {
                                            switch (*(unsigned int *)(_t38_temp_env._id + 8))
                                              {
                                              case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                                {
                                                  switch (*(unsigned short int *)(_t38_temp_env._id + 12))
                                                    {
                                                    case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                      {
                                                        flick_iiopxx_encode_new_chunk(20);
                                                        flick_cdr_encode_unsigned32(0, 14, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'M', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(11, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(12, 'E', flick_char8_t );
                                                        flick_cdr_encode_char8(13, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(15, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(16, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(17, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(18, ((M::A::E *)(_t38_temp_env._user_except))->cause, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(20);
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 10:
                              {
                                switch (*(unsigned int *)(_t38_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t38_temp_env._id + 4))
                                        {
                                        case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                          {
                                            switch (*(unsigned short int *)(_t38_temp_env._id + 8))
                                              {
                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                {
                                                  flick_iiopxx_encode_new_chunk(20);
                                                  flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
                                                  flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                  flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                  flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                  flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(8, 'F', flick_char8_t );
                                                  flick_cdr_encode_char8(9, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(10, '1', flick_char8_t );
                                                  flick_cdr_encode_char8(11, '.', flick_char8_t );
                                                  flick_cdr_encode_char8(12, '0', flick_char8_t );
                                                  flick_cdr_encode_char8(13, 0, flick_char8_t );
                                                  flick_cdr_encode_signed32(16, ((F *)(_t38_temp_env._user_except))->type, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(20);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort111);
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort111:
                            goto _flick_abort99;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort99:
                    goto _flick_abort98;
                  }
                }
                break;
                {
                _flick_abort98:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_M::A *_local_this;
                        unsigned int _t41_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort118);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t41_principal_len);
                        flick_iiopxx_check_span(_t41_principal_len * 1, _flick_abort118);
                        flick_iiopxx_decode_new_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort118);
                        flick_cdr_swap_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_check_span(1 * _t42_temp_string_len * 1, _flick_abort118);
                        flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t42_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort118);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t42_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t43_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort118);
                          flick_iiopxx_encode_new_glob(5, _flick_abort118);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t43_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t43_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort126);
                                break;
                                {
                                _flick_abort126:
                                  goto _flick_abort118;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort127);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort127:
                                  goto _flick_abort118;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort118:
                          goto _flick_abort117;
                        }
                      }
                      break;
                      {
                      _flick_abort117:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t12_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t12_switch_tag)
            {
            case /* foo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718578944):
              {
                {
                  POA_M::A *_local_this;
                  unsigned int _t13_principal_len;
                  enum M::A::N _return;
                  enum M::A::N _local_x;
                  enum M::A::N _local_y;
                  enum M::A::N _local_z;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort38);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t13_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t13_principal_len);
                  flick_iiopxx_check_span(_t13_principal_len * 1, _flick_abort38);
                  flick_iiopxx_decode_new_chunk(_t13_principal_len);
                  flick_iiopxx_decode_end_chunk(_t13_principal_len);
                  flick_iiopxx_decode_end_glob(_t13_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort38);
                  flick_cdr_decode_unsigned32(0, _local_x, enum M::A::N );
                  flick_cdr_decode_unsigned32(4, _local_z, enum M::A::N );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->foo(_local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t14_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t14_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort38);
                    flick_iiopxx_encode_new_glob(24, _flick_abort38);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t14_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t14_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_unsigned32(0, _return, enum M::A::N );
                          flick_cdr_encode_unsigned32(4, _local_y, enum M::A::N );
                          flick_cdr_encode_unsigned32(8, _local_z, enum M::A::N );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort49);
                          break;
                          {
                          _flick_abort49:
                            goto _flick_abort38;
                          }
                        }
                      default:
                        {
                          flick_corbaxx_env _t16_temp_env;

                          flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t16_temp_env);

                          switch ((unsigned int )(1+strlen(_t16_temp_env._id)))
                            {
                            case (unsigned int) 14:
                              {
                                switch (*(unsigned int *)(_t16_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t16_temp_env._id + 4))
                                        {
                                        case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                          {
                                            switch (*(unsigned int *)(_t16_temp_env._id + 8))
                                              {
                                              case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                                {
                                                  switch (*(unsigned short int *)(_t16_temp_env._id + 12))
                                                    {
                                                    case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                      {
                                                        flick_iiopxx_encode_new_chunk(20);
                                                        flick_cdr_encode_unsigned32(0, 14, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'M', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(11, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(12, 'E', flick_char8_t );
                                                        flick_cdr_encode_char8(13, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(15, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(16, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(17, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(18, ((M::A::E *)(_t16_temp_env._user_except))->cause, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(20);
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 10:
                              {
                                switch (*(unsigned int *)(_t16_temp_env._id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_t16_temp_env._id + 4))
                                        {
                                        case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                          {
                                            switch (*(unsigned short int *)(_t16_temp_env._id + 8))
                                              {
                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                {
                                                  flick_iiopxx_encode_new_chunk(20);
                                                  flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
                                                  flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                  flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                  flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                  flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(8, 'F', flick_char8_t );
                                                  flick_cdr_encode_char8(9, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(10, '1', flick_char8_t );
                                                  flick_cdr_encode_char8(11, '.', flick_char8_t );
                                                  flick_cdr_encode_char8(12, '0', flick_char8_t );
                                                  flick_cdr_encode_char8(13, 0, flick_char8_t );
                                                  flick_cdr_encode_signed32(16, ((F *)(_t16_temp_env._user_except))->type, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(20);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort50);
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort50:
                            goto _flick_abort38;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort38:
                    goto _flick_abort37;
                  }
                }
                break;
                {
                _flick_abort37:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t17_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t17_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t18_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t18_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_M::A *_local_this;
                        unsigned int _t19_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t20_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort57);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t19_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t19_principal_len);
                        flick_iiopxx_check_span(_t19_principal_len * 1, _flick_abort57);
                        flick_iiopxx_decode_new_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort57);
                        flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t20_temp_string_len);
                        flick_iiopxx_check_span(1 * _t20_temp_string_len * 1, _flick_abort57);
                        flick_iiopxx_decode_new_chunk(1 * _t20_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t20_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t20_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t20_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t20_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t21_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t21_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort57);
                          flick_iiopxx_encode_new_glob(5, _flick_abort57);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t21_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t21_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort65);
                                break;
                                {
                                _flick_abort65:
                                  goto _flick_abort57;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort66:
                                  goto _flick_abort57;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort57:
                          goto _flick_abort56;
                        }
                      }
                      break;
                      {
                      _flick_abort56:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

