#ifndef _string__client_h_
#define _string__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

struct str {
  TAO_String_Manager s10;
  CORBA::Long a;
  TAO_String_Manager sx;
  CORBA::Short b;
} ;


class str_var {

public:
  str_var();
  str_var(struct str *p);
  str_var(const str_var &a);
  ~str_var();
  str_var &operator=(struct str *p);
  str_var &operator=(const str_var &p);
  struct str *operator->();
  const struct str *operator->() const;
  operator const struct str &() const;
  operator struct str &();
  operator struct str &() const;
  const struct str &in() const;
  struct str &inout();
  struct str *&out();
  struct str *_retn();
  struct str *ptr() const;

private:
  struct str *ptr_;
} ;


class str_out {

public:
  str_out(struct str *&r);
  str_out(str_var &r);
  str_out(const str_out &r);
  str_out &operator=(const str_out &r);

private:
  str_out &operator=(const str_var &r);

public:
  str_out &operator=(struct str *r);
  operator struct str *&();
  struct str *&ptr();
  struct str *operator->();

private:
  struct str *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const struct str &o);

void operator<<=(CORBA::Any &a, struct str *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct str *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct str *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct str *_data);

typedef char *longstr;

typedef CORBA::String_var longstr_var;

typedef CORBA::String_out longstr_out;

typedef char *shortstr;

typedef CORBA::String_var shortstr_var;

typedef CORBA::String_out shortstr_out;

class test ;


typedef test *test_ptr;

class test_var {

public:
  test_var();
  test_var(test_ptr p);
  test_var(const test_var &a);
  ~test_var();
  test_var &operator=(test_ptr p);
  test_var &operator=(const test_var &p);
  test_ptr operator->() const;
  operator const test_ptr &() const;
  operator test_ptr &();
  test_ptr in() const;
  test_ptr &inout();
  test_ptr &out();
  test_ptr _retn();
  test_ptr ptr() const;

private:
  test_ptr ptr_;
} ;


class test_out {

public:
  test_out(test_ptr &r);
  test_out(test_var &r);
  test_out(const test_out &r);
  test_out &operator=(const test_out &r);
  test_out &operator=(const test_var &r);
  test_out &operator=(test_ptr r);
  operator test_ptr &();
  test_ptr &ptr();
  test_ptr operator->();

private:
  test_ptr &ptr_;
} ;


class test : public virtual ACE_CORBA_1 (Object) {

public:
  static test_ptr _duplicate(test_ptr obj);
  static test_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  test();
  virtual ~test();

private:
  test(const test &v);
  void operator=(const test &v);

public:
  virtual char *String(/* test *this, */ const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev);
  virtual char *LongString(/* test *this, */ const char *a, char *&b, longstr_out c, CORBA::Environment &_ev);
  virtual char *ShortString(/* test *this, */ const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev);
  virtual struct str *Struct(/* test *this, */ const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev);

protected:
  test(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

void operator<<=(CORBA::Any &a, test_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o);

extern CORBA::TypeCode_ptr _tc_str;

extern CORBA::TypeCode_ptr _tc_longstr;

extern CORBA::TypeCode_ptr _tc_shortstr;

extern CORBA::TypeCode_ptr _tc_test;

#endif /* _string__client_h_ */
