#ifndef _structplain__client_h_
#define _structplain__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

struct coord {
  CORBA::Short row;
  CORBA::Short col;
} ;


class coord_var {

public:
  coord_var();
  coord_var(struct coord *p);
  coord_var(const coord_var &a);
  ~coord_var();
  coord_var &operator=(struct coord *p);
  coord_var &operator=(const coord_var &p);
  struct coord *operator->();
  const struct coord *operator->() const;
  operator const struct coord &() const;
  operator struct coord &();
  operator struct coord &() const;
  const struct coord &in() const;
  struct coord &inout();
  struct coord &out();
  struct coord _retn();
  struct coord *ptr() const;

private:
  struct coord *ptr_;
} ;


typedef struct coord &coord_out;

void operator<<=(CORBA::Any &a, const struct coord &o);

void operator<<=(CORBA::Any &a, struct coord *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct coord *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct coord *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct coord *_data);

class geom ;


typedef geom *geom_ptr;

class geom_var {

public:
  geom_var();
  geom_var(geom_ptr p);
  geom_var(const geom_var &a);
  ~geom_var();
  geom_var &operator=(geom_ptr p);
  geom_var &operator=(const geom_var &p);
  geom_ptr operator->() const;
  operator const geom_ptr &() const;
  operator geom_ptr &();
  geom_ptr in() const;
  geom_ptr &inout();
  geom_ptr &out();
  geom_ptr _retn();
  geom_ptr ptr() const;

private:
  geom_ptr ptr_;
} ;


class geom_out {

public:
  geom_out(geom_ptr &r);
  geom_out(geom_var &r);
  geom_out(const geom_out &r);
  geom_out &operator=(const geom_out &r);
  geom_out &operator=(const geom_var &r);
  geom_out &operator=(geom_ptr r);
  operator geom_ptr &();
  geom_ptr &ptr();
  geom_ptr operator->();

private:
  geom_ptr &ptr_;
} ;


class geom : public virtual ACE_CORBA_1 (Object) {

public:
  static geom_ptr _duplicate(geom_ptr obj);
  static geom_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static geom_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static geom_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  geom();
  virtual ~geom();

private:
  geom(const geom &v);
  void operator=(const geom &v);

public:
  virtual CORBA::Short dist(/* geom *this, */ const struct coord &a, const struct coord &b, CORBA::Environment &_ev);

protected:
  geom(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const geom_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, geom_ptr *_data);

void operator<<=(CORBA::Any &a, geom_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, geom_ptr &o);

extern CORBA::TypeCode_ptr _tc_coord;

extern CORBA::TypeCode_ptr _tc_geom;

#endif /* _structplain__client_h_ */
