#include "parms-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PARM[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:PARM:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(44, _flick_abort0);
  flick_khazana_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_cdr_encode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_khazana_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_khazana_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort3);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(4 * _data->long_seq_len * 1, _flick_abort3);
  flick_khazana_decode_new_chunk(4 * _data->long_seq_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_seq_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_khazana_decode_end_chunk(4 * _data->long_seq_len);
  flick_khazana_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq_swap(flick_marshal_stream_t _stream, long_seq *_data)
{
  unsigned int _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_khazana_decode_end_chunk(4);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_seq_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->long_seq_len * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_seq_val[_t0_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    sun_flick_free(_data->long_seq_val);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t parm_2345(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t66_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort16);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t66_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t66_switch_tag)
      {
      case (signed int) 0:
        {
          {
            struct svc_req *_obj;
            unsigned int _t67_principal_len;
            void *_return;
            void *_local_arg;
            char _t68_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort311);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t67_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t67_principal_len);
            flick_khazana_check_span(_t67_principal_len * 1, _flick_abort311);
            flick_khazana_decode_new_chunk(_t67_principal_len);
            flick_khazana_decode_end_chunk(_t67_principal_len);
            flick_khazana_decode_end_glob(_t67_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t68_storage);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = void_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort311);
              flick_khazana_encode_new_glob(4, _flick_abort311);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort317);
                    break;
                    {
                    _flick_abort317:
                      goto _flick_abort311;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort318);
                    flick_khazana_encode_end_glob(4);
                    break;
                    {
                    _flick_abort318:
                      goto _flick_abort311;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort311:
              goto _flick_abort310;
            }
          }
          break;
          {
          _flick_abort310:
            goto _flick_abort16;
          }
        }
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t69_principal_len;
            char *_return;
            char *_local_arg;
            char _t70_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort320);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_check_span(5, _flick_abort320);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t69_principal_len);
            flick_khazana_check_span(5 - 5 + 1 + _t69_principal_len * 1, _flick_abort320);
            flick_khazana_decode_new_chunk(_t69_principal_len);
            flick_khazana_decode_end_chunk(_t69_principal_len);
            flick_khazana_decode_end_glob(_t69_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t70_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_local_arg, char );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = char_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort320);
              flick_khazana_encode_new_glob(5, _flick_abort320);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, *_return, char );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort326);
                    break;
                    {
                    _flick_abort326:
                      goto _flick_abort320;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort327);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort327:
                      goto _flick_abort320;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort320:
              goto _flick_abort319;
            }
          }
          break;
          {
          _flick_abort319:
            goto _flick_abort16;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t71_principal_len;
            int *_return;
            int *_local_arg;
            int _t72_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort329);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_check_span(5, _flick_abort329);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t71_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t71_principal_len);
            flick_khazana_check_span(5 - 5 + 1 + _t71_principal_len * 1, _flick_abort329);
            flick_khazana_decode_new_chunk(_t71_principal_len);
            flick_khazana_decode_end_chunk(_t71_principal_len);
            flick_khazana_decode_end_glob(_t71_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t72_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = bool_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort329);
              flick_khazana_encode_new_glob(5, _flick_abort329);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_return, int );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort335);
                    break;
                    {
                    _flick_abort335:
                      goto _flick_abort329;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort336);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort336:
                      goto _flick_abort329;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort329:
              goto _flick_abort328;
            }
          }
          break;
          {
          _flick_abort328:
            goto _flick_abort16;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t73_principal_len;
            short int *_return;
            short int *_local_arg;
            short int _t74_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort338);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t73_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t73_principal_len);
            flick_khazana_check_span(_t73_principal_len * 1, _flick_abort338);
            flick_khazana_decode_new_chunk(_t73_principal_len);
            flick_khazana_decode_end_chunk(_t73_principal_len);
            flick_khazana_decode_end_glob(_t73_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (short int *)(&_t74_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort338);
            flick_cdr_swap_decode_signed16(0, *_local_arg, short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = short_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort338);
              flick_khazana_encode_new_glob(6, _flick_abort338);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort344);
                    break;
                    {
                    _flick_abort344:
                      goto _flick_abort338;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort345);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort345:
                      goto _flick_abort338;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort338:
              goto _flick_abort337;
            }
          }
          break;
          {
          _flick_abort337:
            goto _flick_abort16;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t75_principal_len;
            unsigned short int *_return;
            unsigned short int *_local_arg;
            unsigned short int _t76_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort347);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t75_principal_len);
            flick_khazana_check_span(_t75_principal_len * 1, _flick_abort347);
            flick_khazana_decode_new_chunk(_t75_principal_len);
            flick_khazana_decode_end_chunk(_t75_principal_len);
            flick_khazana_decode_end_glob(_t75_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned short int *)(&_t76_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort347);
            flick_cdr_swap_decode_unsigned16(0, *_local_arg, unsigned short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ushort_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort347);
              flick_khazana_encode_new_glob(6, _flick_abort347);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_unsigned16(0, *_return, unsigned short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort353);
                    break;
                    {
                    _flick_abort353:
                      goto _flick_abort347;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort354);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort354:
                      goto _flick_abort347;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort347:
              goto _flick_abort346;
            }
          }
          break;
          {
          _flick_abort346:
            goto _flick_abort16;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t77_principal_len;
            int *_return;
            int *_local_arg;
            int _t78_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort356);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t77_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t77_principal_len);
            flick_khazana_check_span(_t77_principal_len * 1, _flick_abort356);
            flick_khazana_decode_new_chunk(_t77_principal_len);
            flick_khazana_decode_end_chunk(_t77_principal_len);
            flick_khazana_decode_end_glob(_t77_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t78_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort356);
            flick_cdr_swap_decode_signed32(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort356);
              flick_khazana_encode_new_glob(8, _flick_abort356);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort362);
                    break;
                    {
                    _flick_abort362:
                      goto _flick_abort356;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort363);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort363:
                      goto _flick_abort356;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort356:
              goto _flick_abort355;
            }
          }
          break;
          {
          _flick_abort355:
            goto _flick_abort16;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t79_principal_len;
            unsigned int *_return;
            unsigned int *_local_arg;
            unsigned int _t80_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort365);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t79_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t79_principal_len);
            flick_khazana_check_span(_t79_principal_len * 1, _flick_abort365);
            flick_khazana_decode_new_chunk(_t79_principal_len);
            flick_khazana_decode_end_chunk(_t79_principal_len);
            flick_khazana_decode_end_glob(_t79_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned int *)(&_t80_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort365);
            flick_cdr_swap_decode_unsigned32(0, *_local_arg, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ulong_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort365);
              flick_khazana_encode_new_glob(8, _flick_abort365);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_return, unsigned int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort371);
                    break;
                    {
                    _flick_abort371:
                      goto _flick_abort365;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort372);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort372:
                      goto _flick_abort365;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort365:
              goto _flick_abort364;
            }
          }
          break;
          {
          _flick_abort364:
            goto _flick_abort16;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t81_principal_len;
            float *_return;
            float *_local_arg;
            float _t82_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort374);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t81_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t81_principal_len);
            flick_khazana_check_span(_t81_principal_len * 1, _flick_abort374);
            flick_khazana_decode_new_chunk(_t81_principal_len);
            flick_khazana_decode_end_chunk(_t81_principal_len);
            flick_khazana_decode_end_glob(_t81_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (float *)(&_t82_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort374);
            flick_cdr_swap_decode_float32(0, *_local_arg, float );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = float_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort374);
              flick_khazana_encode_new_glob(8, _flick_abort374);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, *_return, float );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort380);
                    break;
                    {
                    _flick_abort380:
                      goto _flick_abort374;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort381);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort381:
                      goto _flick_abort374;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort374:
              goto _flick_abort373;
            }
          }
          break;
          {
          _flick_abort373:
            goto _flick_abort16;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t83_principal_len;
            double *_return;
            double *_local_arg;
            double _t84_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort383);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t83_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t83_principal_len);
            flick_khazana_check_span(_t83_principal_len * 1, _flick_abort383);
            flick_khazana_decode_new_chunk(_t83_principal_len);
            flick_khazana_decode_end_chunk(_t83_principal_len);
            flick_khazana_decode_end_glob(_t83_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (double *)(&_t84_storage);
            flick_khazana_decode_new_glob(15);
            flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
            flick_khazana_check_span(8, _flick_abort383);
            flick_cdr_swap_decode_float64(0, *_local_arg, double );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(15);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = double_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort383);
              flick_khazana_encode_new_glob(16, _flick_abort383);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_khazana_encode_end_chunk(8);
                    flick_khazana_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort389);
                    break;
                    {
                    _flick_abort389:
                      goto _flick_abort383;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort390);
                    flick_khazana_encode_end_glob(16);
                    break;
                    {
                    _flick_abort390:
                      goto _flick_abort383;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort383:
              goto _flick_abort382;
            }
          }
          break;
          {
          _flick_abort382:
            goto _flick_abort16;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t85_principal_len;
            long_seq *_return;
            long_seq *_local_arg;
            long_seq _t86_storage;
            int _t87_storage[10];
            unsigned int _t88_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort392);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t85_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t85_principal_len);
            flick_khazana_check_span(_t85_principal_len * 1, _flick_abort392);
            flick_khazana_decode_new_chunk(_t85_principal_len);
            flick_khazana_decode_end_chunk(_t85_principal_len);
            flick_khazana_decode_end_glob(_t85_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_seq *)(&_t86_storage);
            flick_khazana_decode_new_glob(47);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort392);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_seq_len, unsigned int );
            if (_local_arg->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort392);
            flick_khazana_decode_end_chunk(4);
            _local_arg->long_seq_val = (int *)_t87_storage;
            flick_khazana_check_span(_local_arg->long_seq_len * 4, _flick_abort392);
            for (_t88_array_iter = 0; _t88_array_iter < _local_arg->long_seq_len; _t88_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_seq_val[_t88_array_iter], int );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(47);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_seq_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort392);
              flick_khazana_encode_new_glob(48, _flick_abort392);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4 + 4 * _return->long_seq_len);
                    flick_cdr_encode_unsigned32(0, _return->long_seq_len, unsigned int );
                    if (_return->long_seq_len > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort404);
                    flick_cdr_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                    flick_khazana_encode_end_chunk(4 + 4 * _return->long_seq_len);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort404:
                      goto _flick_abort392;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(48);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort407);
                    break;
                    {
                    _flick_abort407:
                      goto _flick_abort392;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort408);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort408:
                      goto _flick_abort392;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort392:
              goto _flick_abort391;
            }
          }
          break;
          {
          _flick_abort391:
            goto _flick_abort16;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t22_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort16);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t22_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t22_switch_tag)
      {
      case (signed int) 0:
        {
          {
            struct svc_req *_obj;
            unsigned int _t23_principal_len;
            void *_return;
            void *_local_arg;
            char _t24_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort115);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t23_principal_len);
            flick_khazana_check_span(_t23_principal_len * 1, _flick_abort115);
            flick_khazana_decode_new_chunk(_t23_principal_len);
            flick_khazana_decode_end_chunk(_t23_principal_len);
            flick_khazana_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t24_storage);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = void_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort115);
              flick_khazana_encode_new_glob(4, _flick_abort115);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort121);
                    break;
                    {
                    _flick_abort121:
                      goto _flick_abort115;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
                    flick_khazana_encode_end_glob(4);
                    break;
                    {
                    _flick_abort122:
                      goto _flick_abort115;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort115:
              goto _flick_abort114;
            }
          }
          break;
          {
          _flick_abort114:
            goto _flick_abort16;
          }
        }
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t25_principal_len;
            char *_return;
            char *_local_arg;
            char _t26_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort124);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_check_span(5, _flick_abort124);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t25_principal_len);
            flick_khazana_check_span(5 - 5 + 1 + _t25_principal_len * 1, _flick_abort124);
            flick_khazana_decode_new_chunk(_t25_principal_len);
            flick_khazana_decode_end_chunk(_t25_principal_len);
            flick_khazana_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t26_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_local_arg, char );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = char_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort124);
              flick_khazana_encode_new_glob(5, _flick_abort124);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, *_return, char );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort130);
                    break;
                    {
                    _flick_abort130:
                      goto _flick_abort124;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort131:
                      goto _flick_abort124;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort124:
              goto _flick_abort123;
            }
          }
          break;
          {
          _flick_abort123:
            goto _flick_abort16;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t27_principal_len;
            int *_return;
            int *_local_arg;
            int _t28_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort133);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_check_span(5, _flick_abort133);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t27_principal_len);
            flick_khazana_check_span(5 - 5 + 1 + _t27_principal_len * 1, _flick_abort133);
            flick_khazana_decode_new_chunk(_t27_principal_len);
            flick_khazana_decode_end_chunk(_t27_principal_len);
            flick_khazana_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t28_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = bool_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort133);
              flick_khazana_encode_new_glob(5, _flick_abort133);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_return, int );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort139);
                    break;
                    {
                    _flick_abort139:
                      goto _flick_abort133;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort140:
                      goto _flick_abort133;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort133:
              goto _flick_abort132;
            }
          }
          break;
          {
          _flick_abort132:
            goto _flick_abort16;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t29_principal_len;
            short int *_return;
            short int *_local_arg;
            short int _t30_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort142);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t29_principal_len);
            flick_khazana_check_span(_t29_principal_len * 1, _flick_abort142);
            flick_khazana_decode_new_chunk(_t29_principal_len);
            flick_khazana_decode_end_chunk(_t29_principal_len);
            flick_khazana_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (short int *)(&_t30_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort142);
            flick_cdr_decode_signed16(0, *_local_arg, short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = short_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort142);
              flick_khazana_encode_new_glob(6, _flick_abort142);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort148);
                    break;
                    {
                    _flick_abort148:
                      goto _flick_abort142;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort149);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort149:
                      goto _flick_abort142;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort142:
              goto _flick_abort141;
            }
          }
          break;
          {
          _flick_abort141:
            goto _flick_abort16;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            unsigned short int *_return;
            unsigned short int *_local_arg;
            unsigned short int _t32_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort151);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t31_principal_len);
            flick_khazana_check_span(_t31_principal_len * 1, _flick_abort151);
            flick_khazana_decode_new_chunk(_t31_principal_len);
            flick_khazana_decode_end_chunk(_t31_principal_len);
            flick_khazana_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned short int *)(&_t32_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort151);
            flick_cdr_decode_unsigned16(0, *_local_arg, unsigned short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ushort_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort151);
              flick_khazana_encode_new_glob(6, _flick_abort151);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_unsigned16(0, *_return, unsigned short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort157);
                    break;
                    {
                    _flick_abort157:
                      goto _flick_abort151;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort158:
                      goto _flick_abort151;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort151:
              goto _flick_abort150;
            }
          }
          break;
          {
          _flick_abort150:
            goto _flick_abort16;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t33_principal_len;
            int *_return;
            int *_local_arg;
            int _t34_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort160);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t33_principal_len);
            flick_khazana_check_span(_t33_principal_len * 1, _flick_abort160);
            flick_khazana_decode_new_chunk(_t33_principal_len);
            flick_khazana_decode_end_chunk(_t33_principal_len);
            flick_khazana_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t34_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort160);
            flick_cdr_decode_signed32(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort160);
              flick_khazana_encode_new_glob(8, _flick_abort160);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort166);
                    break;
                    {
                    _flick_abort166:
                      goto _flick_abort160;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort167:
                      goto _flick_abort160;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort160:
              goto _flick_abort159;
            }
          }
          break;
          {
          _flick_abort159:
            goto _flick_abort16;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t35_principal_len;
            unsigned int *_return;
            unsigned int *_local_arg;
            unsigned int _t36_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort169);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t35_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t35_principal_len);
            flick_khazana_check_span(_t35_principal_len * 1, _flick_abort169);
            flick_khazana_decode_new_chunk(_t35_principal_len);
            flick_khazana_decode_end_chunk(_t35_principal_len);
            flick_khazana_decode_end_glob(_t35_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned int *)(&_t36_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort169);
            flick_cdr_decode_unsigned32(0, *_local_arg, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ulong_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort169);
              flick_khazana_encode_new_glob(8, _flick_abort169);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_return, unsigned int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort175);
                    break;
                    {
                    _flick_abort175:
                      goto _flick_abort169;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort176);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort176:
                      goto _flick_abort169;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort169:
              goto _flick_abort168;
            }
          }
          break;
          {
          _flick_abort168:
            goto _flick_abort16;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t37_principal_len;
            float *_return;
            float *_local_arg;
            float _t38_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort178);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t37_principal_len);
            flick_khazana_check_span(_t37_principal_len * 1, _flick_abort178);
            flick_khazana_decode_new_chunk(_t37_principal_len);
            flick_khazana_decode_end_chunk(_t37_principal_len);
            flick_khazana_decode_end_glob(_t37_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (float *)(&_t38_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort178);
            flick_cdr_decode_float32(0, *_local_arg, float );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = float_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort178);
              flick_khazana_encode_new_glob(8, _flick_abort178);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, *_return, float );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort184);
                    break;
                    {
                    _flick_abort184:
                      goto _flick_abort178;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort185:
                      goto _flick_abort178;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort178:
              goto _flick_abort177;
            }
          }
          break;
          {
          _flick_abort177:
            goto _flick_abort16;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t39_principal_len;
            double *_return;
            double *_local_arg;
            double _t40_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort187);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t39_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t39_principal_len);
            flick_khazana_check_span(_t39_principal_len * 1, _flick_abort187);
            flick_khazana_decode_new_chunk(_t39_principal_len);
            flick_khazana_decode_end_chunk(_t39_principal_len);
            flick_khazana_decode_end_glob(_t39_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (double *)(&_t40_storage);
            flick_khazana_decode_new_glob(15);
            flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
            flick_khazana_check_span(8, _flick_abort187);
            flick_cdr_decode_float64(0, *_local_arg, double );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(15);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = double_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort187);
              flick_khazana_encode_new_glob(16, _flick_abort187);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_khazana_encode_end_chunk(8);
                    flick_khazana_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort193);
                    break;
                    {
                    _flick_abort193:
                      goto _flick_abort187;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                    flick_khazana_encode_end_glob(16);
                    break;
                    {
                    _flick_abort194:
                      goto _flick_abort187;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort187:
              goto _flick_abort186;
            }
          }
          break;
          {
          _flick_abort186:
            goto _flick_abort16;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t41_principal_len;
            long_seq *_return;
            long_seq *_local_arg;
            long_seq _t42_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort196);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t41_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t41_principal_len);
            flick_khazana_check_span(_t41_principal_len * 1, _flick_abort196);
            flick_khazana_decode_new_chunk(_t41_principal_len);
            flick_khazana_decode_end_chunk(_t41_principal_len);
            flick_khazana_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_seq *)(&_t42_storage);
            flick_khazana_decode_new_glob(47);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort196);
            flick_cdr_decode_unsigned32(0, _local_arg->long_seq_len, unsigned int );
            if (_local_arg->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort196);
            flick_khazana_decode_end_chunk(4);
            flick_khazana_check_span(4 * _local_arg->long_seq_len * 1, _flick_abort196);
            flick_khazana_decode_new_chunk(4 * _local_arg->long_seq_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_seq_val, int *);
            flick_khazana_decode_end_chunk(4 * _local_arg->long_seq_len);
            flick_khazana_decode_end_glob(47);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_seq_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort196);
              flick_khazana_encode_new_glob(48, _flick_abort196);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4 + 4 * _return->long_seq_len);
                    flick_cdr_encode_unsigned32(0, _return->long_seq_len, unsigned int );
                    if (_return->long_seq_len > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort205);
                    flick_cdr_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                    flick_khazana_encode_end_chunk(4 + 4 * _return->long_seq_len);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort205:
                      goto _flick_abort196;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(48);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort208);
                    break;
                    {
                    _flick_abort208:
                      goto _flick_abort196;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort209);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort209:
                      goto _flick_abort196;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort196:
              goto _flick_abort195;
            }
          }
          break;
          {
          _flick_abort195:
            goto _flick_abort16;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort16:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort15);
  _flick_abort15:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

