#include "arrays-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t arrays_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t39_switch_tag;

    flick_trapeze_decode_new_glob(40);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t39_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t39_switch_tag)
      {
      case (signed int) 0:
        {
          {
            arrays _obj;
            struct cLd _return;
            struct cLd *_local_inp;
            struct cLd _t40_storage;
            struct cLd *_local_iop;
            struct cLd _t41_storage;
            struct cLd *_local_outp;
            struct cLd _t42_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t43_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort95);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(29, _flick_abort95);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct cLd *)(&_t40_storage);
            flick_cdr_decode_char8(4, _local_inp->first, CORBA_char );
            flick_trapeze_server_decode_array(_local_inp->data, 4 * 50);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 1);
            flick_trapeze_check_span(24, _flick_abort95);
            flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
            _local_iop = (struct cLd *)(&_t41_storage);
            flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
            flick_trapeze_server_decode_array(_local_iop->data, 4 * 50);
            flick_cdr_decode_float64(16, _local_iop->last, CORBA_double );
            _local_outp = (struct cLd *)(&_t42_storage);
            _ev = (CORBA_Environment *)(&_t43_storage);
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort95);
              flick_trapeze_encode_new_glob(52, _flick_abort95);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, _return.first, CORBA_char );
                    flick_trapeze_server_encode_array(_return.data, 4 * 50);
                    flick_trapeze_encode_end_chunk(1);
                    flick_trapeze_encode_new_chunk_align(40, 3, 2, 1);
                    flick_cdr_encode_float64(0, _return.last, CORBA_double );
                    flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                    flick_trapeze_server_encode_array(_local_iop->data, 4 * 50);
                    flick_cdr_encode_float64(16, _local_iop->last, CORBA_double );
                    flick_cdr_encode_char8(24, _local_outp->first, CORBA_char );
                    flick_trapeze_server_encode_array(_local_outp->data, 4 * 50);
                    flick_cdr_encode_float64(32, _local_outp->last, CORBA_double );
                    flick_trapeze_encode_end_chunk(40);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort95;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(52);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            arrays _obj;
            struct dLc _return;
            struct dLc *_local_inp;
            struct dLc _t44_storage;
            struct dLc *_local_iop;
            struct dLc _t45_storage;
            struct dLc *_local_outp;
            struct dLc _t46_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t47_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort104);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(29, _flick_abort104);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct dLc *)(&_t44_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(25, 3, 2, 0);
            flick_trapeze_check_span(25, _flick_abort104);
            flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
            flick_trapeze_server_decode_array(_local_inp->data, 4 * 50);
            flick_cdr_decode_char8(8, _local_inp->last, CORBA_char );
            _local_iop = (struct dLc *)(&_t45_storage);
            flick_cdr_decode_float64(16, _local_iop->first, CORBA_double );
            flick_trapeze_server_decode_array(_local_iop->data, 4 * 50);
            flick_cdr_decode_char8(24, _local_iop->last, CORBA_char );
            _local_outp = (struct dLc *)(&_t46_storage);
            _ev = (CORBA_Environment *)(&_t47_storage);
            flick_trapeze_decode_end_chunk(25);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort104);
              flick_trapeze_encode_new_glob(49, _flick_abort104);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(41, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return.first, CORBA_double );
                    flick_trapeze_server_encode_array(_return.data, 4 * 50);
                    flick_cdr_encode_char8(8, _return.last, CORBA_char );
                    flick_cdr_encode_float64(16, _local_iop->first, CORBA_double );
                    flick_trapeze_server_encode_array(_local_iop->data, 4 * 50);
                    flick_cdr_encode_char8(24, _local_iop->last, CORBA_char );
                    flick_cdr_encode_float64(32, _local_outp->first, CORBA_double );
                    flick_trapeze_server_encode_array(_local_outp->data, 4 * 50);
                    flick_cdr_encode_char8(40, _local_outp->last, CORBA_char );
                    flick_trapeze_encode_end_chunk(41);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort104;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(49);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort104:
              goto _flick_abort103;
            }
          }
          break;
          {
          _flick_abort103:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            arrays _obj;
            struct sLs _return;
            struct sLs *_local_inp;
            struct sLs _t48_storage;
            struct sLs *_local_iop;
            struct sLs _t49_storage;
            struct sLs *_local_outp;
            struct sLs _t50_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t51_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort113);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort113);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct sLs *)(&_t48_storage);
            flick_cdr_decode_signed16(4, _local_inp->first, CORBA_short );
            flick_trapeze_server_decode_array(_local_inp->data, 4 * 50);
            flick_cdr_decode_signed16(6, _local_inp->last, CORBA_short );
            _local_iop = (struct sLs *)(&_t49_storage);
            flick_cdr_decode_signed16(8, _local_iop->first, CORBA_short );
            flick_trapeze_server_decode_array(_local_iop->data, 4 * 50);
            flick_cdr_decode_signed16(10, _local_iop->last, CORBA_short );
            _local_outp = (struct sLs *)(&_t50_storage);
            _ev = (CORBA_Environment *)(&_t51_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort113);
              flick_trapeze_encode_new_glob(16, _flick_abort113);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                    flick_trapeze_server_encode_array(_return.data, 4 * 50);
                    flick_cdr_encode_signed16(2, _return.last, CORBA_short );
                    flick_cdr_encode_signed16(4, _local_iop->first, CORBA_short );
                    flick_trapeze_server_encode_array(_local_iop->data, 4 * 50);
                    flick_cdr_encode_signed16(6, _local_iop->last, CORBA_short );
                    flick_cdr_encode_signed16(8, _local_outp->first, CORBA_short );
                    flick_trapeze_server_encode_array(_local_outp->data, 4 * 50);
                    flick_cdr_encode_signed16(10, _local_outp->last, CORBA_short );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                    break;
                    {
                    _flick_abort120:
                      goto _flick_abort113;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort113:
              goto _flick_abort112;
            }
          }
          break;
          {
          _flick_abort112:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            arrays _obj;
            struct cLCd _return;
            struct cLCd *_local_inp;
            struct cLCd _t52_storage;
            struct cLCd *_local_iop;
            struct cLCd _t53_storage;
            struct cLCd *_local_outp;
            struct cLCd _t54_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t55_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort122);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(29, _flick_abort122);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct cLCd *)(&_t52_storage);
            flick_cdr_decode_char8(4, _local_inp->first, CORBA_char );
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct end ) * 50);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 1);
            flick_trapeze_check_span(24, _flick_abort122);
            flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
            _local_iop = (struct cLCd *)(&_t53_storage);
            flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_float64(16, _local_iop->last, CORBA_double );
            _local_outp = (struct cLCd *)(&_t54_storage);
            _ev = (CORBA_Environment *)(&_t55_storage);
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort122);
              flick_trapeze_encode_new_glob(52, _flick_abort122);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, _return.first, CORBA_char );
                    flick_trapeze_server_encode_array(_return.data, sizeof(struct end ) * 50);
                    flick_trapeze_encode_end_chunk(1);
                    flick_trapeze_encode_new_chunk_align(40, 3, 2, 1);
                    flick_cdr_encode_float64(0, _return.last, CORBA_double );
                    flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                    flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct end ) * 50);
                    flick_cdr_encode_float64(16, _local_iop->last, CORBA_double );
                    flick_cdr_encode_char8(24, _local_outp->first, CORBA_char );
                    flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct end ) * 50);
                    flick_cdr_encode_float64(32, _local_outp->last, CORBA_double );
                    flick_trapeze_encode_end_chunk(40);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort122;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(52);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            arrays _obj;
            struct dLCc _return;
            struct dLCc *_local_inp;
            struct dLCc _t56_storage;
            struct dLCc *_local_iop;
            struct dLCc _t57_storage;
            struct dLCc *_local_outp;
            struct dLCc _t58_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t59_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort131);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(29, _flick_abort131);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct dLCc *)(&_t56_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(25, 3, 2, 0);
            flick_trapeze_check_span(25, _flick_abort131);
            flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(8, _local_inp->last, CORBA_char );
            _local_iop = (struct dLCc *)(&_t57_storage);
            flick_cdr_decode_float64(16, _local_iop->first, CORBA_double );
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(24, _local_iop->last, CORBA_char );
            _local_outp = (struct dLCc *)(&_t58_storage);
            _ev = (CORBA_Environment *)(&_t59_storage);
            flick_trapeze_decode_end_chunk(25);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort131);
              flick_trapeze_encode_new_glob(49, _flick_abort131);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(41, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return.first, CORBA_double );
                    flick_trapeze_server_encode_array(_return.data, sizeof(struct end ) * 50);
                    flick_cdr_encode_char8(8, _return.last, CORBA_char );
                    flick_cdr_encode_float64(16, _local_iop->first, CORBA_double );
                    flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct end ) * 50);
                    flick_cdr_encode_char8(24, _local_iop->last, CORBA_char );
                    flick_cdr_encode_float64(32, _local_outp->first, CORBA_double );
                    flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct end ) * 50);
                    flick_cdr_encode_char8(40, _local_outp->last, CORBA_char );
                    flick_trapeze_encode_end_chunk(41);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort131;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(49);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            arrays _obj;
            struct sLCs _return;
            struct sLCs *_local_inp;
            struct sLCs _t60_storage;
            struct sLCs *_local_iop;
            struct sLCs _t61_storage;
            struct sLCs *_local_outp;
            struct sLCs _t62_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t63_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort140);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort140);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct sLCs *)(&_t60_storage);
            flick_cdr_decode_signed16(4, _local_inp->first, CORBA_short );
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(6, _local_inp->last, CORBA_short );
            _local_iop = (struct sLCs *)(&_t61_storage);
            flick_cdr_decode_signed16(8, _local_iop->first, CORBA_short );
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(10, _local_iop->last, CORBA_short );
            _local_outp = (struct sLCs *)(&_t62_storage);
            _ev = (CORBA_Environment *)(&_t63_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort140);
              flick_trapeze_encode_new_glob(16, _flick_abort140);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                    flick_trapeze_server_encode_array(_return.data, sizeof(struct end ) * 50);
                    flick_cdr_encode_signed16(2, _return.last, CORBA_short );
                    flick_cdr_encode_signed16(4, _local_iop->first, CORBA_short );
                    flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct end ) * 50);
                    flick_cdr_encode_signed16(6, _local_iop->last, CORBA_short );
                    flick_cdr_encode_signed16(8, _local_outp->first, CORBA_short );
                    flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct end ) * 50);
                    flick_cdr_encode_signed16(10, _local_outp->last, CORBA_short );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort140;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            arrays _obj;
            struct cCLd _return;
            struct cCLd *_local_inp;
            struct cCLd _t64_storage;
            struct cCLd *_local_iop;
            struct cCLd _t65_storage;
            struct cCLd *_local_outp;
            struct cCLd _t66_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t67_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort149);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(29, _flick_abort149);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct cCLd *)(&_t64_storage);
            flick_cdr_decode_char8(4, _local_inp->first, CORBA_char );
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct begin ) * 50);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 1);
            flick_trapeze_check_span(24, _flick_abort149);
            flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
            _local_iop = (struct cCLd *)(&_t65_storage);
            flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_float64(16, _local_iop->last, CORBA_double );
            _local_outp = (struct cCLd *)(&_t66_storage);
            _ev = (CORBA_Environment *)(&_t67_storage);
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort149);
              flick_trapeze_encode_new_glob(52, _flick_abort149);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, _return.first, CORBA_char );
                    flick_trapeze_server_encode_array(_return.data, sizeof(struct begin ) * 50);
                    flick_trapeze_encode_end_chunk(1);
                    flick_trapeze_encode_new_chunk_align(40, 3, 2, 1);
                    flick_cdr_encode_float64(0, _return.last, CORBA_double );
                    flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                    flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_float64(16, _local_iop->last, CORBA_double );
                    flick_cdr_encode_char8(24, _local_outp->first, CORBA_char );
                    flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_float64(32, _local_outp->last, CORBA_double );
                    flick_trapeze_encode_end_chunk(40);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort156);
                    break;
                    {
                    _flick_abort156:
                      goto _flick_abort149;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(52);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort149:
              goto _flick_abort148;
            }
          }
          break;
          {
          _flick_abort148:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            arrays _obj;
            struct dCLc _return;
            struct dCLc *_local_inp;
            struct dCLc _t68_storage;
            struct dCLc *_local_iop;
            struct dCLc _t69_storage;
            struct dCLc *_local_outp;
            struct dCLc _t70_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t71_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort158);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(29, _flick_abort158);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct dCLc *)(&_t68_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(25, 3, 2, 0);
            flick_trapeze_check_span(25, _flick_abort158);
            flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(8, _local_inp->last, CORBA_char );
            _local_iop = (struct dCLc *)(&_t69_storage);
            flick_cdr_decode_float64(16, _local_iop->first, CORBA_double );
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(24, _local_iop->last, CORBA_char );
            _local_outp = (struct dCLc *)(&_t70_storage);
            _ev = (CORBA_Environment *)(&_t71_storage);
            flick_trapeze_decode_end_chunk(25);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort158);
              flick_trapeze_encode_new_glob(49, _flick_abort158);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(41, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return.first, CORBA_double );
                    flick_trapeze_server_encode_array(_return.data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_char8(8, _return.last, CORBA_char );
                    flick_cdr_encode_float64(16, _local_iop->first, CORBA_double );
                    flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_char8(24, _local_iop->last, CORBA_char );
                    flick_cdr_encode_float64(32, _local_outp->first, CORBA_double );
                    flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_char8(40, _local_outp->last, CORBA_char );
                    flick_trapeze_encode_end_chunk(41);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort165);
                    break;
                    {
                    _flick_abort165:
                      goto _flick_abort158;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(49);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort158:
              goto _flick_abort157;
            }
          }
          break;
          {
          _flick_abort157:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            arrays _obj;
            struct sCLs _return;
            struct sCLs *_local_inp;
            struct sCLs _t72_storage;
            struct sCLs *_local_iop;
            struct sCLs _t73_storage;
            struct sCLs *_local_outp;
            struct sCLs _t74_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t75_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort167);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort167);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inp = (struct sCLs *)(&_t72_storage);
            flick_cdr_decode_signed16(4, _local_inp->first, CORBA_short );
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(6, _local_inp->last, CORBA_short );
            _local_iop = (struct sCLs *)(&_t73_storage);
            flick_cdr_decode_signed16(8, _local_iop->first, CORBA_short );
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(10, _local_iop->last, CORBA_short );
            _local_outp = (struct sCLs *)(&_t74_storage);
            _ev = (CORBA_Environment *)(&_t75_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort167);
              flick_trapeze_encode_new_glob(16, _flick_abort167);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                    flick_trapeze_server_encode_array(_return.data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_signed16(2, _return.last, CORBA_short );
                    flick_cdr_encode_signed16(4, _local_iop->first, CORBA_short );
                    flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_signed16(6, _local_iop->last, CORBA_short );
                    flick_cdr_encode_signed16(8, _local_outp->first, CORBA_short );
                    flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct begin ) * 50);
                    flick_cdr_encode_signed16(10, _local_outp->last, CORBA_short );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort174);
                    break;
                    {
                    _flick_abort174:
                      goto _flick_abort167;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort167:
              goto _flick_abort166;
            }
          }
          break;
          {
          _flick_abort166:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t76_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t77_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort176);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t76_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t76_temp_string_len);
            _ev = (CORBA_Environment *)(&_t77_storage);
            _par = flick_interface_parents_arrays;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort176);
              flick_trapeze_encode_new_glob(5, _flick_abort176);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort183);
                    break;
                    {
                    _flick_abort183:
                      goto _flick_abort176;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort176:
              goto _flick_abort175;
            }
          }
          break;
          {
          _flick_abort175:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(40);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

