#include "test1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test1[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_test1_swap(flick_marshal_stream_t _stream, test1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort3);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort4);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ushort_swap(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort5);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort6);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ulong_swap(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort8);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort9);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->case_num, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort10);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->case_num, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x1_swap(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort11);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->case_num, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, _data->obj, 0, _flick_abort12);
  flick_khazana_encode_new_glob(7, _flick_abort12);
  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->value, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(7);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, _data->obj, 1);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort13);
  flick_cdr_decode_signed32(0, _data->value, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x2_swap(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, _data->obj, 1);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort14);
  flick_cdr_swap_decode_signed32(0, _data->value, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test1_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t279_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort17);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t279_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t279_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t280_switch_tag;

          flick_khazana_check_span(16, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t280_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t280_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t281_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t281_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t281_switch_tag)
                  {
                  case /* _voi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601597289):
                    {
                      unsigned short int _t282_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t282_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t282_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              test1 _obj;
                              unsigned int _t283_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t284_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort492);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t283_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t283_principal_len);
                              flick_khazana_check_span(_t283_principal_len * 1, _flick_abort492);
                              flick_khazana_decode_new_chunk(_t283_principal_len);
                              flick_khazana_decode_end_chunk(_t283_principal_len);
                              flick_khazana_decode_end_glob(_t283_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t284_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              test1_test_void(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort492);
                                flick_khazana_encode_new_glob(4, _flick_abort492);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort498);
                                      break;
                                      {
                                      _flick_abort498:
                                        goto _flick_abort492;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort499:
                                        goto _flick_abort492;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort492:
                                goto _flick_abort491;
                              }
                            }
                            break;
                            {
                            _flick_abort491:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned short int _t285_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t285_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t285_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              test1 _obj;
                              unsigned int _t286_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t287_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t288_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t289_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort501);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t286_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t286_principal_len);
                              flick_khazana_check_span(_t286_principal_len * 1, _flick_abort501);
                              flick_khazana_decode_new_chunk(_t286_principal_len);
                              flick_khazana_decode_end_chunk(_t286_principal_len);
                              flick_khazana_decode_end_glob(_t286_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(11);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort501);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t287_storage);
                              _local_a3 = (CORBA_long *)(&_t288_storage);
                              flick_cdr_swap_decode_signed32(4, *_local_a3, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t289_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(11);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort501);
                                flick_khazana_encode_new_glob(16, _flick_abort501);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(12);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(8, *_local_a3, CORBA_long );
                                      flick_khazana_encode_end_chunk(12);
                                      flick_khazana_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort507);
                                      break;
                                      {
                                      _flick_abort507:
                                        goto _flick_abort501;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort508);
                                      flick_khazana_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort508:
                                        goto _flick_abort501;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort501:
                                goto _flick_abort500;
                              }
                            }
                            break;
                            {
                            _flick_abort500:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned short int _t290_switch_tag;

                      flick_khazana_check_span(10, _flick_abort17);
                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t290_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t290_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              test1 _obj;
                              unsigned int _t291_principal_len;
                              CORBA_char _return;
                              CORBA_char _local_a1;
                              CORBA_char *_local_a2;
                              CORBA_char _t292_storage;
                              CORBA_char *_local_a3;
                              CORBA_char _t293_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t294_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort510);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t291_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t291_principal_len);
                              flick_khazana_check_span(8 - 8 + 2 + _t291_principal_len * 1, _flick_abort510);
                              flick_khazana_decode_new_chunk(_t291_principal_len);
                              flick_khazana_decode_end_chunk(_t291_principal_len);
                              flick_khazana_decode_end_glob(_t291_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(2);
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_swap_decode_char8(0, _local_a1, CORBA_char );
                              _local_a2 = (CORBA_char *)(&_t292_storage);
                              _local_a3 = (CORBA_char *)(&_t293_storage);
                              flick_cdr_swap_decode_char8(1, *_local_a3, CORBA_char );
                              _ev = (CORBA_Environment *)(&_t294_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(2);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort510);
                                flick_khazana_encode_new_glob(7, _flick_abort510);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(3);
                                      flick_cdr_encode_char8(0, _return, CORBA_char );
                                      flick_cdr_encode_char8(1, *_local_a2, CORBA_char );
                                      flick_cdr_encode_char8(2, *_local_a3, CORBA_char );
                                      flick_khazana_encode_end_chunk(3);
                                      flick_khazana_encode_end_glob(7);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(7);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort516);
                                      break;
                                      {
                                      _flick_abort516:
                                        goto _flick_abort510;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort517);
                                      flick_khazana_encode_end_glob(7);
                                      break;
                                      {
                                      _flick_abort517:
                                        goto _flick_abort510;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort510:
                                goto _flick_abort509;
                              }
                            }
                            break;
                            {
                            _flick_abort509:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t295_switch_tag;

          flick_khazana_check_span(16, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t295_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t295_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t296_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t296_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t296_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned short int _t297_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t297_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t297_switch_tag)
                        {
                        case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                          {
                            char _t298_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t298_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t298_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t299_principal_len;
                                    CORBA_short _return;
                                    CORBA_short _local_a1;
                                    CORBA_short *_local_a2;
                                    CORBA_short _t300_storage;
                                    CORBA_short *_local_a3;
                                    CORBA_short _t301_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t302_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort519);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t299_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t299_principal_len);
                                    flick_khazana_check_span(_t299_principal_len * 1, _flick_abort519);
                                    flick_khazana_decode_new_chunk(_t299_principal_len);
                                    flick_khazana_decode_end_chunk(_t299_principal_len);
                                    flick_khazana_decode_end_glob(_t299_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(5);
                                    flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort519);
                                    flick_cdr_swap_decode_signed16(0, _local_a1, CORBA_short );
                                    _local_a2 = (CORBA_short *)(&_t300_storage);
                                    _local_a3 = (CORBA_short *)(&_t301_storage);
                                    flick_cdr_swap_decode_signed16(2, *_local_a3, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t302_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(5);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort519);
                                      flick_khazana_encode_new_glob(10, _flick_abort519);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(6);
                                            flick_cdr_encode_signed16(0, _return, CORBA_short );
                                            flick_cdr_encode_signed16(2, *_local_a2, CORBA_short );
                                            flick_cdr_encode_signed16(4, *_local_a3, CORBA_short );
                                            flick_khazana_encode_end_chunk(6);
                                            flick_khazana_encode_end_glob(10);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(10);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort525);
                                            break;
                                            {
                                            _flick_abort525:
                                              goto _flick_abort519;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort526);
                                            flick_khazana_encode_end_glob(10);
                                            break;
                                            {
                                            _flick_abort526:
                                              goto _flick_abort519;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort519:
                                      goto _flick_abort518;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort518:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _ulo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601530991):
                    {
                      unsigned short int _t303_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t303_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t303_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t304_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t304_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t304_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t305_principal_len;
                                    test1_ulong _return;
                                    test1_ulong _local_a1;
                                    test1_ulong *_local_a2;
                                    test1_ulong _t306_storage;
                                    test1_ulong *_local_a3;
                                    test1_ulong _t307_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t308_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort528);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t305_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t305_principal_len);
                                    flick_khazana_check_span(_t305_principal_len * 1, _flick_abort528);
                                    flick_khazana_decode_new_chunk(_t305_principal_len);
                                    flick_khazana_decode_end_chunk(_t305_principal_len);
                                    flick_khazana_decode_end_glob(_t305_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(11);
                                    flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_khazana_check_span(8, _flick_abort528);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a1, CORBA_unsigned_long );
                                    _local_a2 = (test1_ulong *)(&_t306_storage);
                                    _local_a3 = (test1_ulong *)(&_t307_storage);
                                    flick_cdr_swap_decode_unsigned32(4, *_local_a3, CORBA_unsigned_long );
                                    _ev = (CORBA_Environment *)(&_t308_storage);
                                    flick_khazana_decode_end_chunk(8);
                                    flick_khazana_decode_end_glob(11);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort528);
                                      flick_khazana_encode_new_glob(16, _flick_abort528);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(12);
                                            flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                            flick_cdr_encode_unsigned32(4, *_local_a2, CORBA_unsigned_long );
                                            flick_cdr_encode_unsigned32(8, *_local_a3, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(12);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort534);
                                            break;
                                            {
                                            _flick_abort534:
                                              goto _flick_abort528;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort535);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort535:
                                              goto _flick_abort528;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort528:
                                      goto _flick_abort527;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort527:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned short int _t309_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t309_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t309_switch_tag)
                        {
                        case /* at */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24948):
                          {
                            char _t310_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t310_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t310_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t311_principal_len;
                                    CORBA_float _return;
                                    CORBA_float _local_a1;
                                    CORBA_float *_local_a2;
                                    CORBA_float _t312_storage;
                                    CORBA_float *_local_a3;
                                    CORBA_float _t313_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t314_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort537);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t311_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t311_principal_len);
                                    flick_khazana_check_span(_t311_principal_len * 1, _flick_abort537);
                                    flick_khazana_decode_new_chunk(_t311_principal_len);
                                    flick_khazana_decode_end_chunk(_t311_principal_len);
                                    flick_khazana_decode_end_glob(_t311_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0.000000;
                                    flick_khazana_decode_new_glob(11);
                                    flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_khazana_check_span(8, _flick_abort537);
                                    flick_cdr_swap_decode_float32(0, _local_a1, CORBA_float );
                                    _local_a2 = (CORBA_float *)(&_t312_storage);
                                    _local_a3 = (CORBA_float *)(&_t313_storage);
                                    flick_cdr_swap_decode_float32(4, *_local_a3, CORBA_float );
                                    _ev = (CORBA_Environment *)(&_t314_storage);
                                    flick_khazana_decode_end_chunk(8);
                                    flick_khazana_decode_end_glob(11);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort537);
                                      flick_khazana_encode_new_glob(16, _flick_abort537);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(12);
                                            flick_cdr_encode_float32(0, _return, CORBA_float );
                                            flick_cdr_encode_float32(4, *_local_a2, CORBA_float );
                                            flick_cdr_encode_float32(8, *_local_a3, CORBA_float );
                                            flick_khazana_encode_end_chunk(12);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort543);
                                            break;
                                            {
                                            _flick_abort543:
                                              goto _flick_abort537;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort544);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort544:
                                              goto _flick_abort537;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort537:
                                      goto _flick_abort536;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort536:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned short int _t315_switch_tag;

                      flick_khazana_check_span(10, _flick_abort17);
                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t315_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t315_switch_tag)
                        {
                        case /* et */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25972):
                          {
                            char _t316_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t316_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t316_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t317_principal_len;
                                    CORBA_octet _return;
                                    CORBA_octet _local_a1;
                                    CORBA_octet *_local_a2;
                                    CORBA_octet _t318_storage;
                                    CORBA_octet *_local_a3;
                                    CORBA_octet _t319_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t320_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort546);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t317_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t317_principal_len);
                                    flick_khazana_check_span(7 - 7 + 2 + _t317_principal_len * 1, _flick_abort546);
                                    flick_khazana_decode_new_chunk(_t317_principal_len);
                                    flick_khazana_decode_end_chunk(_t317_principal_len);
                                    flick_khazana_decode_end_glob(_t317_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(2);
                                    flick_khazana_decode_new_chunk(2);
                                    flick_cdr_swap_decode_unsigned8(0, _local_a1, CORBA_octet );
                                    _local_a2 = (CORBA_octet *)(&_t318_storage);
                                    _local_a3 = (CORBA_octet *)(&_t319_storage);
                                    flick_cdr_swap_decode_unsigned8(1, *_local_a3, CORBA_octet );
                                    _ev = (CORBA_Environment *)(&_t320_storage);
                                    flick_khazana_decode_end_chunk(2);
                                    flick_khazana_decode_end_glob(2);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort546);
                                      flick_khazana_encode_new_glob(7, _flick_abort546);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                            flick_cdr_encode_unsigned8(1, *_local_a2, CORBA_octet );
                                            flick_cdr_encode_unsigned8(2, *_local_a3, CORBA_octet );
                                            flick_khazana_encode_end_chunk(3);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(7);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort552);
                                            break;
                                            {
                                            _flick_abort552:
                                              goto _flick_abort546;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort553);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort553:
                                              goto _flick_abort546;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort546:
                                      goto _flick_abort545;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort545:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _thr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601464434):
                    {
                      unsigned short int _t321_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t321_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t321_switch_tag)
                        {
                        case /* ow */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28535):
                          {
                            char _t322_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t322_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t322_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t323_principal_len;
                                    CORBA_long _local_case_num;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t324_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort555);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t323_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t323_principal_len);
                                    flick_khazana_check_span(_t323_principal_len * 1, _flick_abort555);
                                    flick_khazana_decode_new_chunk(_t323_principal_len);
                                    flick_khazana_decode_end_chunk(_t323_principal_len);
                                    flick_khazana_decode_end_glob(_t323_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort555);
                                    flick_cdr_swap_decode_signed32(0, _local_case_num, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t324_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    test1_test_throw(_obj, _local_case_num, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort555);
                                      flick_khazana_encode_new_glob(32, _flick_abort555);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(32);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(32);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort566);
                                            break;
                                            {
                                            _flick_abort566:
                                              goto _flick_abort555;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 17:
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 4))
                                                          {
                                                          case /* test */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 8))
                                                                {
                                                                case /* 1/x1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_khazana_encode_new_chunk(28);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_cdr_encode_signed32(24, ((test1_x1 *)(_ev->_value._user_except))->case_num, CORBA_long );
                                                                                CORBA_flick_free((test1_x1 *)(_ev->_value._user_except));
                                                                                flick_khazana_encode_end_chunk(28);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                                          flick_khazana_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                case /* 1/x2 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_khazana_encode_new_chunk(21);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '2', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_khazana_encode_end_chunk(21);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                flick_cdr_encode_IOR(khazana, ((test1_x2 *)(_ev->_value._user_except))->obj, 0, _flick_abort572);
                                                                                flick_khazana_encode_new_glob(7, _flick_abort572);
                                                                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                                                                flick_cdr_encode_signed32(0, ((test1_x2 *)(_ev->_value._user_except))->value, CORBA_long );
                                                                                CORBA_flick_free((test1_x2 *)(_ev->_value._user_except));
                                                                                flick_khazana_encode_end_chunk(4);
                                                                                flick_khazana_encode_end_glob(7);
                                                                                break;
                                                                                {
                                                                                _flick_abort572:
                                                                                  goto _flick_abort567;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                                          flick_khazana_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                                    flick_khazana_encode_end_glob(32);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                              flick_khazana_encode_end_glob(32);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                        flick_khazana_encode_end_glob(32);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort567);
                                                  flick_khazana_encode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort567:
                                              goto _flick_abort555;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort555:
                                      goto _flick_abort554;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort554:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t325_switch_tag;

          flick_khazana_check_span(16, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t325_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t325_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t326_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t326_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t326_switch_tag)
                  {
                  case /* _ush */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601532776):
                    {
                      unsigned int _t327_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t327_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t327_switch_tag)
                        {
                        case /* ort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771776):
                          {
                            {
                              test1 _obj;
                              unsigned int _t328_principal_len;
                              test1_ushort _return;
                              test1_ushort _local_a1;
                              test1_ushort *_local_a2;
                              test1_ushort _t329_storage;
                              test1_ushort *_local_a3;
                              test1_ushort _t330_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t331_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort574);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t328_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t328_principal_len);
                              flick_khazana_check_span(_t328_principal_len * 1, _flick_abort574);
                              flick_khazana_decode_new_chunk(_t328_principal_len);
                              flick_khazana_decode_end_chunk(_t328_principal_len);
                              flick_khazana_decode_end_glob(_t328_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort574);
                              flick_cdr_swap_decode_unsigned16(0, _local_a1, CORBA_unsigned_short );
                              _local_a2 = (test1_ushort *)(&_t329_storage);
                              _local_a3 = (test1_ushort *)(&_t330_storage);
                              flick_cdr_swap_decode_unsigned16(2, *_local_a3, CORBA_unsigned_short );
                              _ev = (CORBA_Environment *)(&_t331_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort574);
                                flick_khazana_encode_new_glob(10, _flick_abort574);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_a2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_a3, CORBA_unsigned_short );
                                      flick_khazana_encode_end_chunk(6);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort580);
                                      break;
                                      {
                                      _flick_abort580:
                                        goto _flick_abort574;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort581);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort581:
                                        goto _flick_abort574;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort574:
                                goto _flick_abort573;
                              }
                            }
                            break;
                            {
                            _flick_abort573:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t332_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t332_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t332_switch_tag)
                        {
                        case /* ble */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651270912):
                          {
                            {
                              test1 _obj;
                              unsigned int _t333_principal_len;
                              CORBA_double _return;
                              CORBA_double _local_a1;
                              CORBA_double *_local_a2;
                              CORBA_double _t334_storage;
                              CORBA_double *_local_a3;
                              CORBA_double _t335_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t336_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort583);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t333_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t333_principal_len);
                              flick_khazana_check_span(_t333_principal_len * 1, _flick_abort583);
                              flick_khazana_decode_new_chunk(_t333_principal_len);
                              flick_khazana_decode_end_chunk(_t333_principal_len);
                              flick_khazana_decode_end_glob(_t333_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_khazana_decode_new_glob(23);
                              flick_khazana_decode_new_chunk_align(16, 3, 0, 0);
                              flick_khazana_check_span(16, _flick_abort583);
                              flick_cdr_swap_decode_float64(0, _local_a1, CORBA_double );
                              _local_a2 = (CORBA_double *)(&_t334_storage);
                              _local_a3 = (CORBA_double *)(&_t335_storage);
                              flick_cdr_swap_decode_float64(8, *_local_a3, CORBA_double );
                              _ev = (CORBA_Environment *)(&_t336_storage);
                              flick_khazana_decode_end_chunk(16);
                              flick_khazana_decode_end_glob(23);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort583);
                                flick_khazana_encode_new_glob(32, _flick_abort583);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_a2, CORBA_double );
                                      flick_cdr_encode_float64(16, *_local_a3, CORBA_double );
                                      flick_khazana_encode_end_chunk(24);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort589);
                                      break;
                                      {
                                      _flick_abort589:
                                        goto _flick_abort583;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort590);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort590:
                                        goto _flick_abort583;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort583:
                                goto _flick_abort582;
                              }
                            }
                            break;
                            {
                            _flick_abort582:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t337_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t337_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t337_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test1 _obj;
                              unsigned int _t338_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a1;
                              flick_unsigned32_t _t339_temp_string_len;
                              CORBA_char **_local_a2;
                              CORBA_char *_t340_storage;
                              CORBA_char **_local_a3;
                              CORBA_char *_t341_storage;
                              flick_unsigned32_t _t342_temp_string_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t343_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort592);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t338_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t338_principal_len);
                              flick_khazana_check_span(_t338_principal_len * 1, _flick_abort592);
                              flick_khazana_decode_new_chunk(_t338_principal_len);
                              flick_khazana_decode_end_chunk(_t338_principal_len);
                              flick_khazana_decode_end_glob(_t338_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort592);
                              flick_cdr_swap_decode_unsigned32(0, _t339_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t339_temp_string_len);
                              flick_khazana_check_span(1 * _t339_temp_string_len * 1, _flick_abort592);
                              flick_khazana_decode_new_chunk(1 * _t339_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a1, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t339_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t339_temp_string_len);
                              _local_a2 = (CORBA_char **)(&_t340_storage);
                              _local_a3 = (CORBA_char **)(&_t341_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort592);
                              flick_cdr_swap_decode_unsigned32(0, _t342_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t342_temp_string_len);
                              flick_khazana_check_span(1 * _t342_temp_string_len * 1, _flick_abort592);
                              flick_khazana_decode_new_chunk(1 * _t342_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t342_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort592);
                                *_local_a3 = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_a3, 1 * _t342_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t342_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t342_temp_string_len);
                              _ev = (CORBA_Environment *)(&_t343_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort597);
                                flick_khazana_encode_new_glob(8, _flick_abort597);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t347_temp_string_len;
                                      flick_unsigned32_t _t348_temp_string_len;
                                      flick_unsigned32_t _t349_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t347_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_a2, flick_unsigned32_t , _t348_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_a3, flick_unsigned32_t , _t349_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t347_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(1 * _t347_temp_string_len, _flick_abort608);
                                      flick_khazana_encode_new_chunk(1 * _t347_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t347_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(1 * _t347_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t347_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort608);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t348_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t348_temp_string_len, _flick_abort608);
                                      flick_khazana_encode_new_chunk(1 * _t348_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_a2, 1 * _t348_temp_string_len);
                                      CORBA_flick_free(*_local_a2);
                                      *_local_a2 = 0;
                                      flick_khazana_encode_end_chunk(1 * _t348_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t348_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort608);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t349_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t349_temp_string_len, _flick_abort608);
                                      flick_khazana_encode_new_chunk(1 * _t349_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_a3, 1 * _t349_temp_string_len);
                                      CORBA_flick_free(*_local_a3);
                                      *_local_a3 = 0;
                                      flick_khazana_encode_end_chunk(1 * _t349_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t349_temp_string_len);
                                      break;
                                      {
                                      _flick_abort608:
                                        goto _flick_abort597;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort615);
                                      break;
                                      {
                                      _flick_abort615:
                                        goto _flick_abort597;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort616);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort616:
                                        goto _flick_abort597;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort597:
                                CORBA_flick_free(*_local_a3);
                              _flick_abort592:
                                goto _flick_abort591;
                              }
                            }
                            break;
                            {
                            _flick_abort591:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _Obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1599038058):
                    {
                      unsigned int _t350_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t350_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t350_switch_tag)
                        {
                        case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                          {
                            {
                              test1 _obj;
                              unsigned int _t351_principal_len;
                              CORBA_Object _return;
                              CORBA_Object _local_a1;
                              CORBA_Object *_local_a2;
                              CORBA_Object _t352_storage;
                              CORBA_Object *_local_a3;
                              CORBA_Object _t353_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t354_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort618);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t351_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t351_principal_len);
                              flick_khazana_check_span(_t351_principal_len * 1, _flick_abort618);
                              flick_khazana_decode_new_chunk(_t351_principal_len);
                              flick_khazana_decode_end_chunk(_t351_principal_len);
                              flick_khazana_decode_end_glob(_t351_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_IOR(khazana, _local_a1, 1);
                              flick_khazana_mark_port_for_cleanup(_local_a1, 1);
                              _local_a2 = (CORBA_Object *)(&_t352_storage);
                              _local_a3 = (CORBA_Object *)(&_t353_storage);
                              flick_cdr_swap_decode_IOR(khazana, *_local_a3, 1);
                              flick_khazana_mark_port_for_cleanup(*_local_a3, 1);
                              _ev = (CORBA_Environment *)(&_t354_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort618);
                                flick_khazana_encode_new_glob(4, _flick_abort618);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort623);
                                      flick_cdr_encode_IOR(khazana, *_local_a2, 0, _flick_abort623);
                                      flick_cdr_encode_IOR(khazana, *_local_a3, 0, _flick_abort623);
                                      break;
                                      {
                                      _flick_abort623:
                                        goto _flick_abort618;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort624);
                                      break;
                                      {
                                      _flick_abort624:
                                        goto _flick_abort618;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort625);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort625:
                                        goto _flick_abort618;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort618:
                                goto _flick_abort617;
                              }
                            }
                            break;
                            {
                            _flick_abort617:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* plea */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886152033):
              {
                unsigned int _t355_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t355_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t355_switch_tag)
                  {
                  case /* se_e */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936023397):
                    {
                      unsigned int _t356_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t356_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t356_switch_tag)
                        {
                        case /* xit */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2020176896):
                          {
                            {
                              test1 _obj;
                              unsigned int _t357_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t358_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort627);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t357_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t357_principal_len);
                              flick_khazana_check_span(_t357_principal_len * 1, _flick_abort627);
                              flick_khazana_decode_new_chunk(_t357_principal_len);
                              flick_khazana_decode_end_chunk(_t357_principal_len);
                              flick_khazana_decode_end_glob(_t357_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t358_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              test1_please_exit(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                              break;
                              {
                              _flick_abort627:
                                goto _flick_abort626;
                              }
                            }
                            break;
                            {
                            _flick_abort626:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t359_switch_tag;

          flick_khazana_check_span(22, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t359_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t359_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t360_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t360_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t360_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t361_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t361_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t361_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            char _t362_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t362_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t362_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t363_principal_len;
                                    CORBA_boolean _return;
                                    CORBA_boolean _local_a1;
                                    CORBA_boolean *_local_a2;
                                    CORBA_boolean _t364_storage;
                                    CORBA_boolean *_local_a3;
                                    CORBA_boolean _t365_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t366_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort629);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t363_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t363_principal_len);
                                    flick_khazana_check_span(9 - 9 + 2 + _t363_principal_len * 1, _flick_abort629);
                                    flick_khazana_decode_new_chunk(_t363_principal_len);
                                    flick_khazana_decode_end_chunk(_t363_principal_len);
                                    flick_khazana_decode_end_glob(_t363_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(2);
                                    flick_khazana_decode_new_chunk(2);
                                    flick_cdr_swap_decode_unsigned8(0, _local_a1, CORBA_boolean );
                                    _local_a2 = (CORBA_boolean *)(&_t364_storage);
                                    _local_a3 = (CORBA_boolean *)(&_t365_storage);
                                    flick_cdr_swap_decode_unsigned8(1, *_local_a3, CORBA_boolean );
                                    _ev = (CORBA_Environment *)(&_t366_storage);
                                    flick_khazana_decode_end_chunk(2);
                                    flick_khazana_decode_end_glob(2);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort629);
                                      flick_khazana_encode_new_glob(7, _flick_abort629);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                            flick_cdr_encode_unsigned8(1, *_local_a2, CORBA_boolean );
                                            flick_cdr_encode_unsigned8(2, *_local_a3, CORBA_boolean );
                                            flick_khazana_encode_end_chunk(3);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(7);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort635);
                                            break;
                                            {
                                            _flick_abort635:
                                              goto _flick_abort629;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort636);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort636:
                                              goto _flick_abort629;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort629:
                                      goto _flick_abort628;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort628:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t367_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t367_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t367_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t368_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t368_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t368_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t369_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t370_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t371_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort638);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t369_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t369_principal_len);
                        flick_khazana_check_span(_t369_principal_len * 1, _flick_abort638);
                        flick_khazana_decode_new_chunk(_t369_principal_len);
                        flick_khazana_decode_end_chunk(_t369_principal_len);
                        flick_khazana_decode_end_glob(_t369_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort638);
                        flick_cdr_swap_decode_unsigned32(0, _t370_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t370_temp_string_len);
                        flick_khazana_check_span(1 * _t370_temp_string_len * 1, _flick_abort638);
                        flick_khazana_decode_new_chunk(1 * _t370_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t370_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t370_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t371_storage);
                        _par = flick_interface_parents_test1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort638);
                          flick_khazana_encode_new_glob(5, _flick_abort638);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort646);
                                break;
                                {
                                _flick_abort646:
                                  goto _flick_abort638;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort647);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort647:
                                  goto _flick_abort638;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort638:
                          goto _flick_abort637;
                        }
                      }
                      break;
                      {
                      _flick_abort637:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t93_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort17);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t93_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t93_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t94_switch_tag;

          flick_khazana_check_span(16, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t94_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t95_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t95_switch_tag)
                  {
                  case /* _voi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601597289):
                    {
                      unsigned short int _t96_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t96_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t96_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              test1 _obj;
                              unsigned int _t97_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t98_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort177);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t97_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t97_principal_len);
                              flick_khazana_check_span(_t97_principal_len * 1, _flick_abort177);
                              flick_khazana_decode_new_chunk(_t97_principal_len);
                              flick_khazana_decode_end_chunk(_t97_principal_len);
                              flick_khazana_decode_end_glob(_t97_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t98_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              test1_test_void(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort177);
                                flick_khazana_encode_new_glob(4, _flick_abort177);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort183);
                                      break;
                                      {
                                      _flick_abort183:
                                        goto _flick_abort177;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort184:
                                        goto _flick_abort177;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort177:
                                goto _flick_abort176;
                              }
                            }
                            break;
                            {
                            _flick_abort176:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned short int _t99_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t99_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t99_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              test1 _obj;
                              unsigned int _t100_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t101_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t102_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t103_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort186);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t100_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t100_principal_len);
                              flick_khazana_check_span(_t100_principal_len * 1, _flick_abort186);
                              flick_khazana_decode_new_chunk(_t100_principal_len);
                              flick_khazana_decode_end_chunk(_t100_principal_len);
                              flick_khazana_decode_end_glob(_t100_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(11);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort186);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t101_storage);
                              _local_a3 = (CORBA_long *)(&_t102_storage);
                              flick_cdr_decode_signed32(4, *_local_a3, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t103_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(11);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort186);
                                flick_khazana_encode_new_glob(16, _flick_abort186);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(12);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(8, *_local_a3, CORBA_long );
                                      flick_khazana_encode_end_chunk(12);
                                      flick_khazana_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort192);
                                      break;
                                      {
                                      _flick_abort192:
                                        goto _flick_abort186;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort193);
                                      flick_khazana_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort193:
                                        goto _flick_abort186;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort186:
                                goto _flick_abort185;
                              }
                            }
                            break;
                            {
                            _flick_abort185:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned short int _t104_switch_tag;

                      flick_khazana_check_span(10, _flick_abort17);
                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t104_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t104_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              test1 _obj;
                              unsigned int _t105_principal_len;
                              CORBA_char _return;
                              CORBA_char _local_a1;
                              CORBA_char *_local_a2;
                              CORBA_char _t106_storage;
                              CORBA_char *_local_a3;
                              CORBA_char _t107_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t108_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort195);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t105_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t105_principal_len);
                              flick_khazana_check_span(8 - 8 + 2 + _t105_principal_len * 1, _flick_abort195);
                              flick_khazana_decode_new_chunk(_t105_principal_len);
                              flick_khazana_decode_end_chunk(_t105_principal_len);
                              flick_khazana_decode_end_glob(_t105_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(2);
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_decode_char8(0, _local_a1, CORBA_char );
                              _local_a2 = (CORBA_char *)(&_t106_storage);
                              _local_a3 = (CORBA_char *)(&_t107_storage);
                              flick_cdr_decode_char8(1, *_local_a3, CORBA_char );
                              _ev = (CORBA_Environment *)(&_t108_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(2);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort195);
                                flick_khazana_encode_new_glob(7, _flick_abort195);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(3);
                                      flick_cdr_encode_char8(0, _return, CORBA_char );
                                      flick_cdr_encode_char8(1, *_local_a2, CORBA_char );
                                      flick_cdr_encode_char8(2, *_local_a3, CORBA_char );
                                      flick_khazana_encode_end_chunk(3);
                                      flick_khazana_encode_end_glob(7);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(7);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort201);
                                      break;
                                      {
                                      _flick_abort201:
                                        goto _flick_abort195;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort202);
                                      flick_khazana_encode_end_glob(7);
                                      break;
                                      {
                                      _flick_abort202:
                                        goto _flick_abort195;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort195:
                                goto _flick_abort194;
                              }
                            }
                            break;
                            {
                            _flick_abort194:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t109_switch_tag;

          flick_khazana_check_span(16, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t109_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t109_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t110_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t110_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned short int _t111_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t111_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t111_switch_tag)
                        {
                        case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                          {
                            char _t112_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t112_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t112_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t113_principal_len;
                                    CORBA_short _return;
                                    CORBA_short _local_a1;
                                    CORBA_short *_local_a2;
                                    CORBA_short _t114_storage;
                                    CORBA_short *_local_a3;
                                    CORBA_short _t115_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t116_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort204);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t113_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t113_principal_len);
                                    flick_khazana_check_span(_t113_principal_len * 1, _flick_abort204);
                                    flick_khazana_decode_new_chunk(_t113_principal_len);
                                    flick_khazana_decode_end_chunk(_t113_principal_len);
                                    flick_khazana_decode_end_glob(_t113_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(5);
                                    flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort204);
                                    flick_cdr_decode_signed16(0, _local_a1, CORBA_short );
                                    _local_a2 = (CORBA_short *)(&_t114_storage);
                                    _local_a3 = (CORBA_short *)(&_t115_storage);
                                    flick_cdr_decode_signed16(2, *_local_a3, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t116_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(5);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort204);
                                      flick_khazana_encode_new_glob(10, _flick_abort204);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(6);
                                            flick_cdr_encode_signed16(0, _return, CORBA_short );
                                            flick_cdr_encode_signed16(2, *_local_a2, CORBA_short );
                                            flick_cdr_encode_signed16(4, *_local_a3, CORBA_short );
                                            flick_khazana_encode_end_chunk(6);
                                            flick_khazana_encode_end_glob(10);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(10);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort210);
                                            break;
                                            {
                                            _flick_abort210:
                                              goto _flick_abort204;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort211);
                                            flick_khazana_encode_end_glob(10);
                                            break;
                                            {
                                            _flick_abort211:
                                              goto _flick_abort204;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort204:
                                      goto _flick_abort203;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort203:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _ulo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601530991):
                    {
                      unsigned short int _t117_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t117_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t117_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t118_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t118_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t118_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t119_principal_len;
                                    test1_ulong _return;
                                    test1_ulong _local_a1;
                                    test1_ulong *_local_a2;
                                    test1_ulong _t120_storage;
                                    test1_ulong *_local_a3;
                                    test1_ulong _t121_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t122_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort213);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t119_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t119_principal_len);
                                    flick_khazana_check_span(_t119_principal_len * 1, _flick_abort213);
                                    flick_khazana_decode_new_chunk(_t119_principal_len);
                                    flick_khazana_decode_end_chunk(_t119_principal_len);
                                    flick_khazana_decode_end_glob(_t119_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(11);
                                    flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_khazana_check_span(8, _flick_abort213);
                                    flick_cdr_decode_unsigned32(0, _local_a1, CORBA_unsigned_long );
                                    _local_a2 = (test1_ulong *)(&_t120_storage);
                                    _local_a3 = (test1_ulong *)(&_t121_storage);
                                    flick_cdr_decode_unsigned32(4, *_local_a3, CORBA_unsigned_long );
                                    _ev = (CORBA_Environment *)(&_t122_storage);
                                    flick_khazana_decode_end_chunk(8);
                                    flick_khazana_decode_end_glob(11);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort213);
                                      flick_khazana_encode_new_glob(16, _flick_abort213);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(12);
                                            flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                            flick_cdr_encode_unsigned32(4, *_local_a2, CORBA_unsigned_long );
                                            flick_cdr_encode_unsigned32(8, *_local_a3, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(12);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort219);
                                            break;
                                            {
                                            _flick_abort219:
                                              goto _flick_abort213;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort220);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort220:
                                              goto _flick_abort213;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort213:
                                      goto _flick_abort212;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort212:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned short int _t123_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t123_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t123_switch_tag)
                        {
                        case /* at */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24948):
                          {
                            char _t124_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t124_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t124_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t125_principal_len;
                                    CORBA_float _return;
                                    CORBA_float _local_a1;
                                    CORBA_float *_local_a2;
                                    CORBA_float _t126_storage;
                                    CORBA_float *_local_a3;
                                    CORBA_float _t127_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t128_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort222);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t125_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t125_principal_len);
                                    flick_khazana_check_span(_t125_principal_len * 1, _flick_abort222);
                                    flick_khazana_decode_new_chunk(_t125_principal_len);
                                    flick_khazana_decode_end_chunk(_t125_principal_len);
                                    flick_khazana_decode_end_glob(_t125_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0.000000;
                                    flick_khazana_decode_new_glob(11);
                                    flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_khazana_check_span(8, _flick_abort222);
                                    flick_cdr_decode_float32(0, _local_a1, CORBA_float );
                                    _local_a2 = (CORBA_float *)(&_t126_storage);
                                    _local_a3 = (CORBA_float *)(&_t127_storage);
                                    flick_cdr_decode_float32(4, *_local_a3, CORBA_float );
                                    _ev = (CORBA_Environment *)(&_t128_storage);
                                    flick_khazana_decode_end_chunk(8);
                                    flick_khazana_decode_end_glob(11);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort222);
                                      flick_khazana_encode_new_glob(16, _flick_abort222);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(12);
                                            flick_cdr_encode_float32(0, _return, CORBA_float );
                                            flick_cdr_encode_float32(4, *_local_a2, CORBA_float );
                                            flick_cdr_encode_float32(8, *_local_a3, CORBA_float );
                                            flick_khazana_encode_end_chunk(12);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort228);
                                            break;
                                            {
                                            _flick_abort228:
                                              goto _flick_abort222;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort229);
                                            flick_khazana_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort229:
                                              goto _flick_abort222;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort222:
                                      goto _flick_abort221;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort221:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned short int _t129_switch_tag;

                      flick_khazana_check_span(10, _flick_abort17);
                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t129_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t129_switch_tag)
                        {
                        case /* et */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25972):
                          {
                            char _t130_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t130_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t130_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t131_principal_len;
                                    CORBA_octet _return;
                                    CORBA_octet _local_a1;
                                    CORBA_octet *_local_a2;
                                    CORBA_octet _t132_storage;
                                    CORBA_octet *_local_a3;
                                    CORBA_octet _t133_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t134_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort231);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t131_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t131_principal_len);
                                    flick_khazana_check_span(7 - 7 + 2 + _t131_principal_len * 1, _flick_abort231);
                                    flick_khazana_decode_new_chunk(_t131_principal_len);
                                    flick_khazana_decode_end_chunk(_t131_principal_len);
                                    flick_khazana_decode_end_glob(_t131_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(2);
                                    flick_khazana_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned8(0, _local_a1, CORBA_octet );
                                    _local_a2 = (CORBA_octet *)(&_t132_storage);
                                    _local_a3 = (CORBA_octet *)(&_t133_storage);
                                    flick_cdr_decode_unsigned8(1, *_local_a3, CORBA_octet );
                                    _ev = (CORBA_Environment *)(&_t134_storage);
                                    flick_khazana_decode_end_chunk(2);
                                    flick_khazana_decode_end_glob(2);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort231);
                                      flick_khazana_encode_new_glob(7, _flick_abort231);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                            flick_cdr_encode_unsigned8(1, *_local_a2, CORBA_octet );
                                            flick_cdr_encode_unsigned8(2, *_local_a3, CORBA_octet );
                                            flick_khazana_encode_end_chunk(3);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(7);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort237);
                                            break;
                                            {
                                            _flick_abort237:
                                              goto _flick_abort231;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort238:
                                              goto _flick_abort231;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort231:
                                      goto _flick_abort230;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort230:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _thr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601464434):
                    {
                      unsigned short int _t135_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t135_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t135_switch_tag)
                        {
                        case /* ow */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28535):
                          {
                            char _t136_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t136_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t136_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t137_principal_len;
                                    CORBA_long _local_case_num;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t138_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort240);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t137_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t137_principal_len);
                                    flick_khazana_check_span(_t137_principal_len * 1, _flick_abort240);
                                    flick_khazana_decode_new_chunk(_t137_principal_len);
                                    flick_khazana_decode_end_chunk(_t137_principal_len);
                                    flick_khazana_decode_end_glob(_t137_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort240);
                                    flick_cdr_decode_signed32(0, _local_case_num, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t138_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    test1_test_throw(_obj, _local_case_num, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort240);
                                      flick_khazana_encode_new_glob(32, _flick_abort240);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(32);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(32);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort251);
                                            break;
                                            {
                                            _flick_abort251:
                                              goto _flick_abort240;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 17:
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 4))
                                                          {
                                                          case /* test */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 8))
                                                                {
                                                                case /* 1/x1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_khazana_encode_new_chunk(28);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_cdr_encode_signed32(24, ((test1_x1 *)(_ev->_value._user_except))->case_num, CORBA_long );
                                                                                CORBA_flick_free((test1_x1 *)(_ev->_value._user_except));
                                                                                flick_khazana_encode_end_chunk(28);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                                          flick_khazana_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                case /* 1/x2 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                                                  {
                                                                    switch (*(unsigned int *)(_ev->_id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_khazana_encode_new_chunk(21);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '2', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_khazana_encode_end_chunk(21);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                flick_cdr_encode_IOR(khazana, ((test1_x2 *)(_ev->_value._user_except))->obj, 0, _flick_abort257);
                                                                                flick_khazana_encode_new_glob(7, _flick_abort257);
                                                                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                                                                flick_cdr_encode_signed32(0, ((test1_x2 *)(_ev->_value._user_except))->value, CORBA_long );
                                                                                CORBA_flick_free((test1_x2 *)(_ev->_value._user_except));
                                                                                flick_khazana_encode_end_chunk(4);
                                                                                flick_khazana_encode_end_glob(7);
                                                                                break;
                                                                                {
                                                                                _flick_abort257:
                                                                                  goto _flick_abort252;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                                                flick_khazana_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                                          flick_khazana_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                                    flick_khazana_encode_end_glob(32);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                              flick_khazana_encode_end_glob(32);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                        flick_khazana_encode_end_glob(32);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                  flick_khazana_encode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort252:
                                              goto _flick_abort240;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort240:
                                      goto _flick_abort239;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort239:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t139_switch_tag;

          flick_khazana_check_span(16, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t139_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t140_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t140_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t140_switch_tag)
                  {
                  case /* _ush */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601532776):
                    {
                      unsigned int _t141_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t141_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t141_switch_tag)
                        {
                        case /* ort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771776):
                          {
                            {
                              test1 _obj;
                              unsigned int _t142_principal_len;
                              test1_ushort _return;
                              test1_ushort _local_a1;
                              test1_ushort *_local_a2;
                              test1_ushort _t143_storage;
                              test1_ushort *_local_a3;
                              test1_ushort _t144_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t145_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort259);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t142_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t142_principal_len);
                              flick_khazana_check_span(_t142_principal_len * 1, _flick_abort259);
                              flick_khazana_decode_new_chunk(_t142_principal_len);
                              flick_khazana_decode_end_chunk(_t142_principal_len);
                              flick_khazana_decode_end_glob(_t142_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort259);
                              flick_cdr_decode_unsigned16(0, _local_a1, CORBA_unsigned_short );
                              _local_a2 = (test1_ushort *)(&_t143_storage);
                              _local_a3 = (test1_ushort *)(&_t144_storage);
                              flick_cdr_decode_unsigned16(2, *_local_a3, CORBA_unsigned_short );
                              _ev = (CORBA_Environment *)(&_t145_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort259);
                                flick_khazana_encode_new_glob(10, _flick_abort259);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_a2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_a3, CORBA_unsigned_short );
                                      flick_khazana_encode_end_chunk(6);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort265);
                                      break;
                                      {
                                      _flick_abort265:
                                        goto _flick_abort259;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort266);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort266:
                                        goto _flick_abort259;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort259:
                                goto _flick_abort258;
                              }
                            }
                            break;
                            {
                            _flick_abort258:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t146_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t146_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t146_switch_tag)
                        {
                        case /* ble */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651270912):
                          {
                            {
                              test1 _obj;
                              unsigned int _t147_principal_len;
                              CORBA_double _return;
                              CORBA_double _local_a1;
                              CORBA_double *_local_a2;
                              CORBA_double _t148_storage;
                              CORBA_double *_local_a3;
                              CORBA_double _t149_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t150_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort268);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t147_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t147_principal_len);
                              flick_khazana_check_span(_t147_principal_len * 1, _flick_abort268);
                              flick_khazana_decode_new_chunk(_t147_principal_len);
                              flick_khazana_decode_end_chunk(_t147_principal_len);
                              flick_khazana_decode_end_glob(_t147_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_khazana_decode_new_glob(23);
                              flick_khazana_decode_new_chunk_align(16, 3, 0, 0);
                              flick_khazana_check_span(16, _flick_abort268);
                              flick_cdr_decode_float64(0, _local_a1, CORBA_double );
                              _local_a2 = (CORBA_double *)(&_t148_storage);
                              _local_a3 = (CORBA_double *)(&_t149_storage);
                              flick_cdr_decode_float64(8, *_local_a3, CORBA_double );
                              _ev = (CORBA_Environment *)(&_t150_storage);
                              flick_khazana_decode_end_chunk(16);
                              flick_khazana_decode_end_glob(23);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort268);
                                flick_khazana_encode_new_glob(32, _flick_abort268);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_a2, CORBA_double );
                                      flick_cdr_encode_float64(16, *_local_a3, CORBA_double );
                                      flick_khazana_encode_end_chunk(24);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort274);
                                      break;
                                      {
                                      _flick_abort274:
                                        goto _flick_abort268;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort275);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort275:
                                        goto _flick_abort268;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort268:
                                goto _flick_abort267;
                              }
                            }
                            break;
                            {
                            _flick_abort267:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t151_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t151_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t151_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test1 _obj;
                              unsigned int _t152_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a1;
                              flick_unsigned32_t _t153_temp_string_len;
                              CORBA_char **_local_a2;
                              CORBA_char *_t154_storage;
                              CORBA_char **_local_a3;
                              CORBA_char *_t155_storage;
                              flick_unsigned32_t _t156_temp_string_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t157_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort277);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t152_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t152_principal_len);
                              flick_khazana_check_span(_t152_principal_len * 1, _flick_abort277);
                              flick_khazana_decode_new_chunk(_t152_principal_len);
                              flick_khazana_decode_end_chunk(_t152_principal_len);
                              flick_khazana_decode_end_glob(_t152_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort277);
                              flick_cdr_decode_unsigned32(0, _t153_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t153_temp_string_len);
                              flick_khazana_check_span(1 * _t153_temp_string_len * 1, _flick_abort277);
                              flick_khazana_decode_new_chunk(1 * _t153_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a1, CORBA_char *);
                              flick_khazana_decode_end_chunk(1 * _t153_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t153_temp_string_len);
                              _local_a2 = (CORBA_char **)(&_t154_storage);
                              _local_a3 = (CORBA_char **)(&_t155_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort277);
                              flick_cdr_decode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_decode_new_glob(1 * _t156_temp_string_len);
                              flick_khazana_check_span(1 * _t156_temp_string_len * 1, _flick_abort277);
                              flick_khazana_decode_new_chunk(1 * _t156_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t156_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort277);
                                *_local_a3 = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_a3, 1 * _t156_temp_string_len);
                              flick_khazana_decode_end_chunk(1 * _t156_temp_string_len);
                              flick_khazana_decode_end_glob(1 * _t156_temp_string_len);
                              _ev = (CORBA_Environment *)(&_t157_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort282);
                                flick_khazana_encode_new_glob(8, _flick_abort282);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t161_temp_string_len;
                                      flick_unsigned32_t _t162_temp_string_len;
                                      flick_unsigned32_t _t163_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t161_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_a2, flick_unsigned32_t , _t162_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_a3, flick_unsigned32_t , _t163_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t161_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(1 * _t161_temp_string_len, _flick_abort293);
                                      flick_khazana_encode_new_chunk(1 * _t161_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t161_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_khazana_encode_end_chunk(1 * _t161_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t161_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort293);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t162_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t162_temp_string_len, _flick_abort293);
                                      flick_khazana_encode_new_chunk(1 * _t162_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_a2, 1 * _t162_temp_string_len);
                                      CORBA_flick_free(*_local_a2);
                                      *_local_a2 = 0;
                                      flick_khazana_encode_end_chunk(1 * _t162_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t162_temp_string_len);
                                      flick_khazana_encode_new_glob(7, _flick_abort293);
                                      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t163_temp_string_len, flick_unsigned32_t );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(7);
                                      flick_khazana_encode_new_glob(1 * _t163_temp_string_len, _flick_abort293);
                                      flick_khazana_encode_new_chunk(1 * _t163_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_a3, 1 * _t163_temp_string_len);
                                      CORBA_flick_free(*_local_a3);
                                      *_local_a3 = 0;
                                      flick_khazana_encode_end_chunk(1 * _t163_temp_string_len);
                                      flick_khazana_encode_end_glob(1 * _t163_temp_string_len);
                                      break;
                                      {
                                      _flick_abort293:
                                        goto _flick_abort282;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort300);
                                      break;
                                      {
                                      _flick_abort300:
                                        goto _flick_abort282;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort301);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort301:
                                        goto _flick_abort282;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort282:
                                CORBA_flick_free(*_local_a3);
                              _flick_abort277:
                                goto _flick_abort276;
                              }
                            }
                            break;
                            {
                            _flick_abort276:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _Obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1599038058):
                    {
                      unsigned int _t164_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t164_switch_tag)
                        {
                        case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                          {
                            {
                              test1 _obj;
                              unsigned int _t165_principal_len;
                              CORBA_Object _return;
                              CORBA_Object _local_a1;
                              CORBA_Object *_local_a2;
                              CORBA_Object _t166_storage;
                              CORBA_Object *_local_a3;
                              CORBA_Object _t167_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t168_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort303);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t165_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t165_principal_len);
                              flick_khazana_check_span(_t165_principal_len * 1, _flick_abort303);
                              flick_khazana_decode_new_chunk(_t165_principal_len);
                              flick_khazana_decode_end_chunk(_t165_principal_len);
                              flick_khazana_decode_end_glob(_t165_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_IOR(khazana, _local_a1, 1);
                              flick_khazana_mark_port_for_cleanup(_local_a1, 1);
                              _local_a2 = (CORBA_Object *)(&_t166_storage);
                              _local_a3 = (CORBA_Object *)(&_t167_storage);
                              flick_cdr_decode_IOR(khazana, *_local_a3, 1);
                              flick_khazana_mark_port_for_cleanup(*_local_a3, 1);
                              _ev = (CORBA_Environment *)(&_t168_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort303);
                                flick_khazana_encode_new_glob(4, _flick_abort303);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort308);
                                      flick_cdr_encode_IOR(khazana, *_local_a2, 0, _flick_abort308);
                                      flick_cdr_encode_IOR(khazana, *_local_a3, 0, _flick_abort308);
                                      break;
                                      {
                                      _flick_abort308:
                                        goto _flick_abort303;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort309);
                                      break;
                                      {
                                      _flick_abort309:
                                        goto _flick_abort303;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort310);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort310:
                                        goto _flick_abort303;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort303:
                                goto _flick_abort302;
                              }
                            }
                            break;
                            {
                            _flick_abort302:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* plea */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886152033):
              {
                unsigned int _t169_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t169_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t169_switch_tag)
                  {
                  case /* se_e */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936023397):
                    {
                      unsigned int _t170_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t170_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t170_switch_tag)
                        {
                        case /* xit */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2020176896):
                          {
                            {
                              test1 _obj;
                              unsigned int _t171_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t172_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort312);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t171_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t171_principal_len);
                              flick_khazana_check_span(_t171_principal_len * 1, _flick_abort312);
                              flick_khazana_decode_new_chunk(_t171_principal_len);
                              flick_khazana_decode_end_chunk(_t171_principal_len);
                              flick_khazana_decode_end_glob(_t171_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t172_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              test1_please_exit(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                              break;
                              {
                              _flick_abort312:
                                goto _flick_abort311;
                              }
                            }
                            break;
                            {
                            _flick_abort311:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t173_switch_tag;

          flick_khazana_check_span(22, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t173_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t173_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t174_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t174_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t174_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t175_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t175_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            char _t176_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t176_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t176_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test1 _obj;
                                    unsigned int _t177_principal_len;
                                    CORBA_boolean _return;
                                    CORBA_boolean _local_a1;
                                    CORBA_boolean *_local_a2;
                                    CORBA_boolean _t178_storage;
                                    CORBA_boolean *_local_a3;
                                    CORBA_boolean _t179_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t180_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort314);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t177_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t177_principal_len);
                                    flick_khazana_check_span(9 - 9 + 2 + _t177_principal_len * 1, _flick_abort314);
                                    flick_khazana_decode_new_chunk(_t177_principal_len);
                                    flick_khazana_decode_end_chunk(_t177_principal_len);
                                    flick_khazana_decode_end_glob(_t177_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_khazana_decode_new_glob(2);
                                    flick_khazana_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned8(0, _local_a1, CORBA_boolean );
                                    _local_a2 = (CORBA_boolean *)(&_t178_storage);
                                    _local_a3 = (CORBA_boolean *)(&_t179_storage);
                                    flick_cdr_decode_unsigned8(1, *_local_a3, CORBA_boolean );
                                    _ev = (CORBA_Environment *)(&_t180_storage);
                                    flick_khazana_decode_end_chunk(2);
                                    flick_khazana_decode_end_glob(2);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort314);
                                      flick_khazana_encode_new_glob(7, _flick_abort314);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                            flick_cdr_encode_unsigned8(1, *_local_a2, CORBA_boolean );
                                            flick_cdr_encode_unsigned8(2, *_local_a3, CORBA_boolean );
                                            flick_khazana_encode_end_chunk(3);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(7);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort320);
                                            break;
                                            {
                                            _flick_abort320:
                                              goto _flick_abort314;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort321);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort321:
                                              goto _flick_abort314;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort314:
                                      goto _flick_abort313;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort313:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t181_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t181_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t181_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t182_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t182_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t182_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t183_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t184_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t185_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort323);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t183_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t183_principal_len);
                        flick_khazana_check_span(_t183_principal_len * 1, _flick_abort323);
                        flick_khazana_decode_new_chunk(_t183_principal_len);
                        flick_khazana_decode_end_chunk(_t183_principal_len);
                        flick_khazana_decode_end_glob(_t183_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort323);
                        flick_cdr_decode_unsigned32(0, _t184_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t184_temp_string_len);
                        flick_khazana_check_span(1 * _t184_temp_string_len * 1, _flick_abort323);
                        flick_khazana_decode_new_chunk(1 * _t184_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t184_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t184_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t185_storage);
                        _par = flick_interface_parents_test1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort323);
                          flick_khazana_encode_new_glob(5, _flick_abort323);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort331);
                                break;
                                {
                                _flick_abort331:
                                  goto _flick_abort323;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort332);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort332:
                                  goto _flick_abort323;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort323:
                          goto _flick_abort322;
                        }
                      }
                      break;
                      {
                      _flick_abort322:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort17:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort16);
  _flick_abort16:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

